/*****************************************************************************
 * 
 *  jsMath: Mathematics on the Web
 *  
 *  This jsMath package makes it possible to display mathematics in HTML pages
 *  that are viewable by a wide range of browsers on both the Mac and the IBM PC,
 *  including browsers that don't process MathML.  See
 *  
 *            http://www.math.union.edu/locate/jsMath
 *
 *  for the latest version, and for documentation on how to use jsMath.
 *
 *  Copyright 2004-2006 by Davide P. Cervone
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  
 *****************************************************************************/

if (!window.jsMath) {jsMath = {}}
if (!jsMath.Script) {jsMath.Script = {}}

jsMath.Script.Uncompress = function (data) {
  for (var k = 0; k <  data.length; k++) {
    var d = data[k]; var n = d.length;
    for (var i = 0; i < n; i++) {if (typeof(d[i]) == 'number') {d[i] = d[d[i]]}}
    data[k] = d.join('');
  }
  eval(data.join(''));
}

//start = new Date().getTime();
jsMath.Script.Uncompress([
  ['if(!','window.','jsMath','||!',1,'jsMath.','loaded','){if(',1,'parent','&&',1,9,'.',2,'){',2,'=',1,9,'.',2,';}var ','jsMath_old','=',1,2,';',0,'document.','getElementById','||!',29,'childNodes||!',29,'createElement','){','alert("','The',' mathematics ','on this page requires W3C DOM support in its JavaScript. "+"Unfortunately, your ','browser',' doesn\'t seem to have this.");}','else{',2,'={version:"3.2b",document:document,window:window,sizes:[50,60,70,85,100,120,144,173,207,249],styles:{".math','":"font-family: serif; font-style: normal; font-weight: normal','",".typeset',46,'","div','.typeset":"text-align: ','center; margin: 1em 0px;","span',50,'left',47,' span":"text-align: left','; border',':0px; margin:0px; padding:0px','",".typeset .','normal',46,58,'size0','":"font-size: ','50','%",".typeset .','size1',63,'60',65,'size2',63,'70',65,'size3',63,'85',65,'size4',63,'100',65,'size5',63,'120',65,'size6',63,'144',65,'size7',63,'173',65,'size8',63,'207',65,'size9',63,'249',65,'cmr10','":"font-family: jsMath-',102,', serif',58,'cmbx10',103,107,', ',2,'-cmr10',58,'cmti10',103,114,', ',2,112,58,'cmmi10',103,121,58,'cmsy10',103,125,58,'cmex10',103,129,58,'textit','":"font-family: serif; font-','style:italic',58,'textbf',134,'weight:bold',58,'link":"','text-decoration',': none',58,'error',63,'10pt; font-style: italic; "+"','background-color',': #FFFFCC; padding: 1px; "+"border: ','1px solid',' #CC0000',58,'blank":"','display:inline-block','; ','overflow:hidden',56,':0px none; width:0px','; height:','0px;",".typeset .','spacer','":"',154,'","#jsMath_message','":"position:fixed; bottom:','1px; left:2px; ',148,':#E6E6E6','; "+"border: solid 1px #959595; margin:0px; padding: ','1px 8px','; "+"z-index:102; color',': black','; font-size',':','small; ','width:auto',';","#','jsMath_panel',165,'1.5em; right:1.5em; padding: .8em 1.6em; "+"',148,':#DDDDDD; border: outset ','2px; "+"z-index:103; ',176,177,'jsMath_button',165,'1px; right:2px; ',148,':white',169,'0px 3px 1px 3px',171,':black; ',142,':none',173,':x-small; "+"','width:auto; cursor:pointer; cursor:hand;","#','jsMath_float":"','position:absolute','; top:0px; left:0px; max-width:80%; "+"z-index:101; ',176,159,'auto',';","#jsMath_float .','drag":"',148,182,'1px',159,'12px',173,': 1px',206,'close":"',148,168,56,': inset 1px; width:8px',159,'8px; margin: 1px 2px',206,'source":"',148,':#E2E2E2',56,': outset 1px; "+"',176,159,'auto; padding: 8px 15px; "+"font-family: courier, fixed',173,': 90%","#','jsMath_noFont',' .message":"text-align: center; padding: .8em 1.6em; border: 3px solid #DD0000; "+"background-color: #FFF8F8; color: #AA0000; font-size:',175,176,177,234,' .link":"padding: 0px 5px 2px 5px',56,': 2px outset; ',148,':#E8E8E8; "+"color:black',173,':80%; ',199,'jsMath_PrintWarning',235,'x-',175,176,';","@media print":"#',186,' {display:none','}\\n"+"#jsMath_Warning',255,'}","@media screen":"#',248,255,'}"},Element',':function(','_1){return ',5,29,30,'("jsMath_"+_1);},','BBoxFor',262,'s','){this.','hidden.innerHTML','="<nobr><span class=\\"typeset\\"><span class=\\"scale\\">"+s+"</span></span></nobr>";var _3={w',':this.','hidden','.offsetWidth',',h',274,275,'.offsetHeight','};this.',272,'="";return _3;},EmBoxFor',262,'s){var _5','=this.BBoxFor','(s);return {w:_5.w/this.em,h:_5','.h/this.em};},','EmBoxForItalics',262,'s){var _7',286,'(s);if(s.match(/<i>|class=\\"(icm|italic|igreek|iaccent)/i)){_7.w',286,'(s+',5,'Browser.','italicString',').w-',5,297,'italicCorrection',';}return {w:_7.w/this.em,h:_7',288,'Init',':function(){','if(',5,'Setup.inited','!=1',7,5,309,'){',37,'It looks like ',2,' failed to set up properly (error code "+',5,309,'+").  "+"I will try to keep going, but it could get ugly.");',5,309,'=1;}',43,37,'You must call ',5,'Setup.','Body() explicitly when ',2,' is"+"',6,' as part of the <HEAD> section");}',5,329,'Body();}this.em',286,'("<span style=\\""+',5,297,'block+";','width:10em;height:1em','\\"></span','>").w/10;if(this.em==0',271,'em',286,'("<img src=\\""+',5,'blank+"\\" style=\\"',343,'\\"/>").w/10;}if(',5,297,298,'){',5,297,302,'=',5,268,'(',5,297,298,').w;}var bb',286,'("x");var h=bb.h;var d',286,'("x"+',5,'HTML.Rule(1,','h/',5,'em)).h-h;this.h=(h-d)/this.em;this.d=d/this.em;this.hd=this.h+this.d;this.xWidth=bb.w;this.',329,'TeXfonts','();var _b=this.','EmBoxFor("<span class','=\\"',102,'\\">M</span>").w/2;this.TeX.M_height=_b*(26/14);this.TeX.h=this.h;this.TeX.d=this.d;this.TeX.hd=this.hd;this.Img.Scale();',0,'this.initialized',271,329,'Sizes','();this.','Img.UpdateFonts();}this.p_height=(this.','TeX.cmex10[','0].h+this.',392,'0].d)/0.85;',386,'=1;},ReInit',306,'var w',286,'("x").w;if(w!=this.xWidth',271,'Init();}},Loaded',306,'if(',23,'){var _d=["Process","ProcessBeforeShowing","ConvertTeX","ConvertTeX2","ConvertLaTeX","ConvertCustom","CustomSearch","Synchronize","Macro","document"];','for(var i=0;i<','_d','.length;i++){if(',23,'[_d[i]]){',23,'[_d[i]]=null;}}}if(',23,'){this.Insert(',2,',',23,');}',23,'=null;',5,6,'=1;},Add',262,'_f,src){','for(var id in ','src){_f[id]=src[id];}},Insert',262,'dst,src){',428,'src',7,'dst[id]&&typeof (src[id])=="object"&&(','typeof (dst[id])=="','object"||',436,'function")){this.Insert(dst[id],src[id]);}',43,'dst[id]=src[id];}}},Package',262,'obj,def',416,'obj.prototype,def);}};',5,'Script={request:null,Init',306,'if(!(',5,'Controls.cookie','.asynch&&',5,451,'.progress',')){if(',1,'XMLHttpRequest','){','this.request','=new ',458,';}',43,'if(',1,'ActiveXObject','){','try{',460,'=new ',467,'("Microsoft.XMLHTTP");}','catch(err','){}}}}',0,460,'||',5,329,'domainChanged',271,'Load=this.delayedLoad;this.needsBody=1;}},Load',262,'url,_18',7,'_18){',5,'Message.Set("Loading "+url);',5,'Script.','Delay(1);',5,'Script.Push(','this,"xmlRequest",url',');',5,494,5,'Message',',"Clear");}',43,5,494,495,');}},','xmlRequest',262,'url){','this.debug("',507,': "+url);',469,460,'.open("GET",url,false);',460,'.send(null);}',474,'){throw "jsMath can\'t load the file \'"+url+"\'\\n"+"',500,': "+err.message;}if(',460,'.status','&&',460,523,'>=400',519,'Error status: "+',460,523,';}this.Start();','this.blocking','=1;',5,1,'eval(',460,'.responseText);this.End();',533,'=0;this.Process','();},cancelTimeout:30*1000,iframe:null,blocking:0,cancelTimer:null,needsBody:0,queue:[],queueAt:0,Synchronize',262,'_1a,_1b){','if(typeof (','_1a)!="string"){',5,494,'null,_1a,_1b);}',43,5,494,5,'window,"eval",_1a);}},Push',262,'_1c,_1d,_1e){',510,'Pushing: "+_1d+" at "+','this.queueAt',');this.queue=[].concat(','this.queue.slice(','0,',559,'),[[_1c,_1d,_1e]],',561,559,'));',559,'++;if(!(',533,'||(this.needsBody&&!',5,29,'body))){this.Process();}},Process',306,'while(','this.queue.length','&&!',533,271,'Start();var _1f=this.queue[0];this.queue=',561,'1);var _20=_1f[0];var _21=_1f[1];var _22=_1f[2];',510,'Calling: "+_21);if(_20){_20[_21](_22);}',43,'if(_21){_21(_22);}}',510,'Done:    "+_21);}this.End();},Start',306,559,'=0;},End',306,559,'=',577,';},delayedLoad',262,'url){',510,'Loading',512,'this.Push(this,"startLoad",url);},startLoad',262,'url){','this.iframe','=',5,29,35,'("iframe");','this.iframe.style.','visibility="',275,'";',612,'position="absolute";',612,'width="0px";',612,'height="0px";if(',5,29,'body.firstChild','){',5,29,'body.insertBefore(',606,',',5,29,624,');}',43,5,29,'body','.appendChild(',606,');}',533,'=1;this.','url=url;',0,'url.match(/\\.js$/)){',606,'.src=url;}',43,606,'.src=',5,'root+"',2,'-loader.html";}if(url.substr(0,',5,'root.length',')==',5,'root){url=url.substr(',5,657,');}',5,489,510,'Starting',512,'this.cancelTimer','=setTimeout("',5,491,'cancelLoad','()",this.cancelTimeout);},endLoad',262,'_25){',510,'Ending: "+this.url);if(',669,'){clearTimeout(',669,');',669,'=null;}',5,500,'.Clear();if(_25!="cancel"){',533,541,'();}},',673,306,669,'=null;',5,500,'.Set("Can\'t load file");this.endLoad("cancel");},Delay',262,'_26){',533,'=1;setTimeout("',5,491,'endDelay','()",_26);},',704,306,510,704,'");',533,541,'();},','imageCount',':0,','WaitForImage',262,'_27){',533,643,714,'++;if(this.img==null',271,'img=[];}var img=new Image',390,'img[this.img.length]=img;img.onload=function(){if(--',5,491,714,'==0){',5,491,704,'();}};img.onerror','=img.onload;img.','onabort',735,'src=_27;},Uncompress',262,'_29){','for(var k=0;k<','_29.length;k++){var d=_29[k];var n=d.length;',408,'n;i++){',545,'d[i])=="number"){d[i]=d[d[i]];}}_29[k]=d.join("");}',1,'eval(_29.join(""));},debug',262,'_2e){}};',5,500,'={blank:null,message:null,text:null,clear:null,Init',306,0,5,29,'body||!',5,451,455,'){return;}','if(',5,329,'stylesReady','){','this.message','=',5,'Setup.DIV("message",{visibility:"hidden','"});}',43,768,'=',5,771,'",position:"absolute",','bottom:"1px",left:"2px",','backgroundColor',':"#E6E6E6",border:"solid 1px #959595",margin:"0px",padding:"1px 8px",zIndex:102,color:"black",fontSize:"small",width:"auto"});}','this.text','=',5,29,'createTextNode','("");',768,639,782,');',768,'.onmousedown=',5,'Translate.Cancel;},Set',262,'_2f,_30){','if(this.clear){clearTimeout(this.clear',');','this.clear',684,'if(',5,451,455,'){',0,782,271,'Init();',0,782,'){return;}}if(',5,297,'textNodeBug','){',768,'.innerHTML','=_2f;}',43,782,'.nodeValue',820,768,'.style.visibility="','visible";if(_30){',768,'.style.cursor','="pointer";',0,768,829,'){',768,829,'="hand";}',768,'.title=" Cancel Processing of Math ";}',43,768,829,';',768,'.title="";}}',43,'if(_2f.substr(0,8)!="Loading "){',5,1,'status=_2f;}}},Clear',306,798,');}',800,'=setTimeout("',5,500,'.doClear()",1000);},doClear',306,'if(',800,271,'clear=null;',5,1,'status="";if(',782,'){',782,823,'="";}if(',768,'){',768,826,275,'";}}},Blank',306,'if(','this.blank','||!',5,29,'body',762,880,'=',5,329,'DIV("blank",{position:(',5,297,'msiePositionFixedBug','?"absolute":"fixed"),top:"0px",left:"0px",bottom:"0px",right:"0px",zIndex:101,',780,':"white"});if(',5,297,'msieBlankBug','){',880,819,'="&nbsp;";',880,'.style.width="110%";',880,'.style.height="110%";}},UnBlank',306,'if(',880,'){',5,29,'body.removeChild(',880,');}',880,'=null;}};',5,'Setup={',6,':[],DIV',262,'id,_32){var div=',5,29,35,'("div");div.id="jsMath_"+id;','for(var i in ','_32){div.style[i]=_32[i];}',0,5,29,'body.hasChildNodes){',5,29,'body',639,'div);}',43,5,29,628,'div,',5,29,624,');}return div;},Script',262,'_35,_36',7,'this.loaded[_35',']){','return;}',43,952,']=1;}',0,'_35.match("^([a-zA-Z]+:/?)?/")){_35=',5,'root+_35;}',5,491,'Load(_35,_36);},Hidden',306,5,275,'=this.DIV("Hidden",{visibility:"',275,778,'top:0,left:0,border:0,padding:0,margin:0});',5,'hiddenTop=',5,275,';return;},Source',306,'if(',5,'Autoload&&',5,'Autoload.root','){',5,'root=',5,982,';}',43,5,'root="";var _37=',5,29,'getElementsByTagName("','script");if(_37){',408,'_37','.length;i++){var ','src=_37[i].src;if(src&&src.match("(^|/)',5,'js$")){',5,985,'src.','replace(/',5,'js$/,"");if(',5,'root.charAt(0)=="/"){',5,985,5,29,'location','.protocol+"//"+',5,29,1014,'.host+',5,'root;}',43,0,5,'root.match','(/^[a-z]+:/i)){src','=new String(',5,29,1014,');',5,985,'src','.replace(new RegExp','("[^/]*$"),"")+',5,'root;',576,5,1025,'("/[^/]*/\\\\.\\\\./")){',5,985,5,'root',1035,'("/[^/]*/\\\\.\\\\./"),"/");}}}i=_37.length;}}}}',5,'Img.',985,5,653,'fonts/";',5,'blank=',5,653,'blank.gif";this.Domain();},Domain',306,469,5,29,'domain;}',474,762,'var _3a="";var _3b=',5,29,'domain;if(',5,1025,'("://([^/]*)/")){_3a=RegExp.$1;}_3a=_3a.replace(/:\\d+$/,"");if(_3a==""||_3a==_3b',762,'if(navigator.','appName=="Microsoft Internet Explorer"&&','navigator.','platform=="','MacPPC"&&',1077,'onLine&&',1077,'userProfile&&',5,29,'all',762,'_3a=_3a.split(/\\./);_3b=_3b.split(/\\./);if(_3a.length<2||_3b.length<2||','_3a[_3a.length-','1',']!=_3b[_3b.length-','1]||',1089,'2',1091,'2]){this.','DomainWarning','();',954,'var _3c=',1089,'2]+"."+',1089,'1];for(var i=3;i<=_3a.length&&i<=_3b',410,1089,'i',1091,'i]){break;}_3c=',1089,'i]+"."+_3c;}',5,29,'domain=_3c;this.',481,'=1;},',1097,306,37,'In order for ',2,' to be able to load the additional "+"components that it may need, the ',5,'js file must be "+"',6,' from a server in the same domain as the page that "+"contains it.  Because that is not the case for this page, "+"the',39,'displayed here may not appear correctly.");},','EncodeFont',262,'_3e){var _3f=',5,'TeX[_3e];if(_3f[0].c!=null',762,741,'128;k++){var _41=_3f[k];_3f[k]=_41[3];if(_3f[k]==null){_3f[k]={};}_3f[k].w=_41[0];_3f[k].h=_41[1];if(_41[2]!=null){_3f[k].d=_41[2];}_3f[k].c=',5,'TeX.encoding[k];}},Fonts',306,408,5,'TeX.fam',998,'_43=',5,1142,'[i];if(_43',271,1129,'(_43);}}},TeXfont',262,'_44){var _45=',5,'TeX[_44];if(_45==null',762,'var WH=',5,381,'=\\""+_44+"\\">"+_45[65','].c+"</span>");','_45.hd=WH.h;_45.dh=0.05;_45.d=',5,381,'=\\""+_44+"\\">"+_45[65].c+',5,374,'_45.hd)+"</span>").h-_45.hd;_45.h=_45.hd-_45.d;','if(_44=="',121,'"){_45.skewchar=','127;}',43,1168,125,1170,'48;}}},',379,306,408,5,1142,410,5,1142,'[i]){this.TeXfont(',5,1142,'[i]);}}},Sizes',306,5,'TeXparams','=[];for(var j=0;j<',5,'sizes.length;j++){',5,1191,'[j]={};}',929,5,'TeX){',545,5,'TeX[i])!="object"){for(var j=0;j<',5,'sizes.length;j++){',5,1191,'[j][i]=',5,'sizes[j]*',5,'TeX[i]/100;}}}},Styles',262,'_4b){',0,'_4b){_4b=',5,'styles;_4b[".typeset .scale"]="font-size:"+',5,451,'.scale+"%";this.',766,324,5,494,'this,"','AddStyleSheet','",_4b);if(',5,297,'styleChangeDelay','){',5,494,5,'Script,"','Delay",1);}},',1227,262,'_4c){var _4d=',5,29,994,'head")[0];var _4e="";',428,'_4c){_4e+=id+" {"+_4c[id]+"}\\n";}if(',5,29,'createStyleSheet){_4d.insertAdjacentHTML("beforeEnd","<','span style=\\"','display:none\\">x</span><style type=\\"text/css\\">"+_4e+"</style>");}',43,'var _50=',5,29,35,'("style");_50.type="text/css";_50',639,5,29,786,'(_4e));_4d',639,'_50);}},Body',306,'if(this.inited',762,'this.inited=-','1;',5,329,'Hidden();',1268,'2;',5,297,810,1268,'3;if(',5,451,'.blank){',5,500,'.Blank();}',1268,'4;',5,329,'Styles();',1268,'5;',5,'Controls.',810,1268,'6;',5,494,5,'Setup,"User","pre-font");',1268,'7;',5,494,5,'Font,"Check");this.inited=1;},User',262,'_51){}};',5,'Update={',379,262,'_52){for(var ','_53 in ',1314,'_54 in _52[_53]){',428,'_52[_53][_54',']){',5,'TeX[_53][_54][id]=',1319,'][id];}}}},TeXfontCodes',262,'_56){for(var _57 in _56){',408,'_56[_57].length;i++){',5,'TeX[_57][i].c=_56[_57][i];}}}};',5,'Browser={allowAbsolute:1,allowAbsoluteDelim:0,separateSkips:0,valignBug:0,operaHiddenFix:"",','msieCenterBugFix',':"",','msieInlineBlockFix',':"",msieSpaceFix:"",imgScale:1,renameOK:1,',1231,':0,delay:1,version:0,','TestSpanHeight',306,5,272,'="<span','><','span style=\\""+this.block+";','height:2em;width:','1px',344,'></span>";var ','_59=',5,'hidden.firstChild;','var img=_59.firstChild;','this.spanHeightVaries','=(_59',280,'>=img',280,'&&_59',280,'>0);','this.spanHeightTooBig','=(_59',280,'>img',280,');',5,272,'="";},','TestInlineBlock',306,'this.block','="',154,'";','this.hasInlineBlock','=',5,'BBoxFor("<span style=\\""+this.block+";','width:10px;height:5px\\"></span>").w>0;if(!this.hasInlineBlock){',1373,'="display:-moz-inline-box";',1377,'=',5,1380,1381,954,5,'styles[".typeset .','blank"]=',5,1391,'blank','"].replace(/',154,'/,',1373,');}',1373,'+=";',156,'";var h=',5,268,'("x").h;this.mozInlineBlockBug=',5,1380,'height:"+h+"px;width:1px',344,'>x"+"<',1345,1410,';vertical-align:-"+h+"px',344,'>").h>2*h;this.widthAddsBorder=',5,1380,156,';height:1px;width:10px',';border-left:','10px solid',344,'>").w>10;','this.msieBorderBug','=',5,1380,1410,344,'>x").h!=',5,1380,1410,1422,150,344,'>x").h;this.blankWidthBug=',1426,'||',5,1380,1346,'0px',344,'>").h==0;},','TestRenameOK',306,5,272,1343,1349,'_5c=',5,1352,'_5c.setAttribute("name","','jsMath_test','");this.renameOK=(',5,29,'getElementsByName("',1458,'").length>0);',5,272,1370,'TestStyleChange',306,5,272,1343,' ID=\\"',1458,'\\">x</span>";var _5d=',5,1352,'var w=_5d',276,';',5,329,1227,'({"#',1458,'":"font-size:200%"});this.',1231,'=(_5d',276,'==w);',5,272,1370,'VersionAtLeast',262,'v){var bv',1027,'this.version',').split(".");','v',1027,'v',1499,'if(v[1]==null){v[1]="0";}return bv[0]>v[0]||(bv[0]==v[0]&&bv[1]>=v[1]);},Init',306,5,41,'="unknown";this.',1371,390,1339,390,1448,390,1468,390,'MSIE',390,'Mozilla',390,'Opera',390,'OmniWeb',390,'Safari',390,'Konqueror','();if(','this.allowAbsoluteDelim','){',5,'Box.DelimExtend=',5,'Box.DelimExtendAbsolute;',5,'Box.Layout=',5,'Box.LayoutAbsolute;}',43,5,'Box.DelimExtend=',5,'Box.DelimExtendRelative;',5,'Box.Layout=',5,'Box.LayoutRelative;}if(','this.separateSkips','){',5,'HTML.Place=',5,'HTML.','PlaceSeparateSkips',';',5,'Typeset.prototype.','Place=',5,1557,1554,';}},MSIE',306,'if(',1354,'&&!',1362,'){',5,41,'="MSIE";',1075,1078,'Win32"){',1529,'=1;',1548,'=1',';this.buttonCheck=1;this.',899,'=1;this.msieDivWidthBug=1;this.',893,643,'msieIntegralBug',643,'waitForImages',643,'msieAlphaBug',643,'alphaPrintBug',643,1333,'="position:relative; ";this.',1335,'=" ',154,';";this.msieSpaceFix="<',1250,154,344,'>";',5,'Macro("joinrel","\\\\mathrel{\\\\kern-5mu}"),',5,1391,'arial"]="font-family: \'Arial unicode MS\'";',5,'styles["#jsMath_message','"]=',5,1608,1396,'position:fixed','/,"',201,'").',1005,176,'/,"");',5,'styles["#jsMath_panel','"]=',5,1621,1396,1613,'/,"',201,'").',1005,176,1619,5,'styles["#',186,'"]="width:','1px; "+',5,1634,186,1396,1613,'/,"',201,'").',1005,176,1619,5,1,'onscroll=',5,1294,'MoveButton;',5,1391,161,'"]=',5,1391,161,1396,154,1619,'if(','screen.deviceXDPI','&&','screen.logicalXDPI','&&',1666,'!=',1668,271,'imgScale*=',1668,'/',1666,';',5,451,'.alpha=0;}this.',298,'="<i>x</i>";',5,'EmBoxFor=',5,289,';}',43,1075,1078,'MacPPC"){this.msieAbsoluteBug',643,'msieButtonBug',1581,899,'=1;',5,'Setup.Script("jsMath-','msie-mac.js");',5,'Parser.prototype.macros.angle=["Replace","ord","<font face=\\"Symbol\\">&#x8B;</font>","normal"];',5,1621,1636,'42em; "+',5,1621,1396,176,1619,5,451,'.printwarn','=0;}}',5,'Macro("not","\\\\mathrel{\\\\rlap{\\\\kern3mu','/}}");}},Mozilla',306,'if(',5,275,'.ATTRIBUTE_NODE){',5,41,'="Mozilla";',1075,1078,'Win32"){this.',1590,324,1529,'=1;',5,1717,'/}}");',1075,'vendor=="Firefox"){',1498,'=',1077,'vendorSub;}',43,1075,'userAgent.match','(" Firefox/([0-9.]+)( |$)")){',1498,'=RegExp.$1;}}}},',1523,306,1075,'accentColorName){',5,41,'="',1523,'";','this.allowAbsolute','=',1377,';',1529,'=',1758,';this.valignBug=!',1758,1579,816,'=1;',0,1377,'){',5,1699,'old-browsers.js','");}}},Opera',306,'if(',1362,'){',5,41,'="Opera";var _61=',1077,1745,'("Opera 7");',1758,'=0;this.delay=10;this.operaHiddenFix="[Processing]";if(_61){',5,1699,1775,'");}}},Safari',306,1075,'appVersion.match(/Safari\\//)){',5,41,'="Safari";var _62=',1077,1745,'("Safari/([0-9]+)");_62=(_62)?_62[1]:400;',408,5,1142,410,5,1142,'[i]){',5,'TeX[',5,1142,'[i]].dh=0.1;}}',5,'TeX.axis_height+=0.05;',1529,'=_62>=125;this.safariIFRAMEbug=_62>=312&&_62<412;this.safariImgBug',643,816,'=1',1579,1231,'=1;}},',1527,306,1075,'product&&',1077,'product.match("',1527,'")){',5,41,'="',1527,'";',1758,'=0;',1529,'=0;',1075,1745,'(/',1527,'\\/(\\d+)\\.(\\d+)/)){if(RegExp.$1<3||(RegExp.$1==3&&RegExp.$2<3)){',1548,643,'valignBug=1;',5,1699,1775,'");}}}}};',5,'Font={fallback:"symbol",message:"<b>No ',2,' TeX fonts found</b> -- using',' image fonts instead','.<br/>\\n"+"These',' may be slow and might not print well.<br/>\\n"+"Use the jsMath control panel to get additional information.",','extra_message:"Extra TeX fonts not found: <b><span id=\\"jsMath_ExtraFonts',344,'></b><br/>"+"Using',1857,'.  This',1859,'print_message',':"To print higher-resolution math symbols, click the<br/>\\n"+"<b>Hi-res Fonts for Printing</b> button on',' the jsMath control panel.<br/>\\n",','alpha_message',':"If the math symbols print as black boxes, turn off <b>image alpha channels</b><br/>\\n"+"using the <B>Options</B> pane of',1868,'Test1',262,'_64,n,_66,_67','){if(n==null){n=124;}if(','_66==null){_66=2;}if(_67==null){_67="";}var wh1=',5,'BBoxFor("<span style=\\"font-family',': "+_67+_64+", serif\\">"+',5,'TeX[_64][n',1160,'var wh2=',5,1878,': serif\\">"+',5,'TeX[_64][n',1160,'return (wh1.w>_66*wh2','.w&&wh1.h!=0);},','Test2',262,'_6a,n,_6c,_6d',1875,'_6c==null){_6c=2;}if(_6d==null){_6d="";}var wh1=',5,1878,': "+_6d+_6a+", serif\\">"+',5,'TeX[_6a][n',1160,'var wh2=',5,1878,': serif\\">"+',5,'TeX[_6a][n',1160,'return (wh2.w>_6c*wh1',1891,'CheckTeX',306,'var wh=',5,1878,': ',2,'-',129,105,'\\">"+',5,392,'1',1160,5,'nofonts=((wh.w*3>wh.h||wh.h==0)&&!this.Test1("cmr10','",null,null,"',2,'-"));if(',5,'nofonts&&(',1077,'platform!="MacPPC"||',5,41,'!="Mozilla"||!',5,297,1494,'(1.5))){wh=',5,1878,': ',129,105,'\\">"+',5,392,'1',1160,5,1928,'"));',0,5,'nofonts){',5,1699,'BaKoMa-fonts.js");}}},Check',306,'var _71=',5,451,';this.CheckTeX();if(',5,1958,'if(_71.autofont','||_71.font=="tex"){_71.font=this.fallback;if(_71.warn){',5,'nofontMessage=1;_71.warn=0;',5,1294,'SetCookie(0);if(',5,1,'NoFontMessage','){',5,1,1978,'();}',43,'this.',500,'(',768,');}}}}',43,1969,'){_71.font="','tex";}','if(_71.font=="','tex"){return;}}if(',5,'noImgFonts',1992,'unicode";}',1994,'unicode"){var _72=({Win32:"pc",MacPPC:"mac"})[',1077,'platform]||"unix";',5,1699,'fallback-"+_72+".js");',5,'Box.TeXnonfallback=',5,'Box.TeX',';',5,2010,'=',5,'Box.TeXfallback;return;}',0,'_71.print&&_71',1714,271,'PrintMessage((',5,297,1590,'&&',5,451,'.alpha)?this.',1866,'+this.',1869,274,1866,');}if(',5,297,1586,'){',5,494,5,1236,716,'",',5,'blank);}',1994,'symbol"){',5,1699,'fallback-symbols.js");',5,'Box.TeXnonfallback=',5,2010,';',5,2010,'=',5,2016,5,'Img.SetFont({',102,':["all"],',121,2065,125,2065,129,2065,107,2065,114,':["all"]});',5,'Img.LoadFont("cm-fonts");},',500,262,'_73',7,5,'Element("Warning','")){',954,'var div=',5,329,'DIV("Warning",{});div',819,'="<center><table><tr><td>"+"<div id=\\"',234,'\\"><div class=\\"message\\">"+_73+"<','div style=\\"','text-align:left\\"><',1250,'float:left; ','margin: 8px ','0px 0px 20px\\">"+"<span onclick=\\"',5,1294,'Panel()\\" title=\\" Open the ',2,' Control Panel',' \\" class=\\"link\\">',2,2104,'</span>"+"</span','><',1250,2098,'20px 0px 0px; float:right\\">"+"<span onclick=\\"',5,'Font.HideMessage()\\" title=\\" Remove this font warning message',2105,'Hide this ',500,2108,'></div><',2094,'height:6px\\"></div><br clear=\\"all\\"/></div></div>"+"<',2094,'width:22em',159,'1px\\"></div>"+"</td></tr></table></center><hr/>";},HideMessage',306,'var _75=',5,2083,'");if(_75'],
  ['){_75','.style.display="none";}},','PrintMessage',':function','(_76','){if(','jsMath.','Element("','PrintWarning','")){return;}var div=',6,'Setup.DIV("',8,'",{});div','.innerHTML','="<center><table><tr><td>"+"<div class=\\"message\\">"+_76+"</div>"+"<div style=\\"width:22em; height:1px\\"></div>"+"</td></tr></table></center><hr/>";},Register',3,'(_78){','jsMath.Script.','Start();if(typeof (_78)=="string"){_78={name:_78};}var _79=_78.name;var _7a=_79.replace(/10$/,"");var _7b=',6,'TeX.fam.length;if(','_78.prefix','==null){',22,'="";}if(!_78.style){_78.style="font-family: "+',22,'+_79+", serif";}if(!','_78.styles','){',28,'={};}','if(!','_78.macros','){',33,31,6,'TeX.fam[_7b]=_79;',6,'TeX.famName[_79]=_7b;',33,'[_7a]=["HandleFont",_7b];',6,'Add(',6,'Parser.prototype.macros,',33,');',28,'[".typeset ."+_79]=_78.style;',6,'Setup.Styles(',28,');',18,'Push(',6,'Setup,"TeXfont",_79);var _7c=!',6,'nofonts&&_78.test(_79,_78.testChar,_78.testFactor,',22,');if(_7c&&','jsMath.Controls','.cookie.font=="','tex"){if(_78.tex){_78.tex(_79,_7b,_78);}',18,'End();return;}','if(!_7c&&',63,'.cookie.warn&&',63,64,'tex"&&!',6,'nofonts){if(!',6,7,'Warning")){this.Message(this.extra_message);}var _7d=',6,7,'ExtraFonts");if(_7d',5,'_7d',14,'!=""){_7d',14,'+=",";}_7d',14,'+=" "+',22,'+_79;}}if(',63,64,'unicode"){if(_78.fallback){_78.fallback(_79,_7b,_78);}',18,67,'var _7e={};_7e[_79]=["all"];',6,'Img.SetFont(_7e);',6,'Img.LoadFont(_79);',18,'Push(',6,'Img,"Scale");',18,'Push(',6,'Img,"UpdateFonts");',18,'End();},Load',3,'(_7f){',6,'Setup.Script(this.URL(_7f));},URL',3,'(_80){return ',6,'Img.root+_80+"/def.js";}};',63,'={cookie:{scale:100,font:"tex",autofont:1,scaleImg:0,alpha:1,warn:1,printwarn:1,stayhires:0,button:1,progress:1,asynch:0,blank:0,print:0,keep:"0D"},cookiePath:"/",Init',3,'(){this.panel=',6,11,'panel",{display:"none"});if(!',6,'Browser.msieButtonBug){this.Button();}else{setTimeout("',63,'.Button()",500);}},Panel',3,'(){',6,'Translate.Cancel();if(this.loaded){this.Main();}else{',18,'delayedLoad(',6,'root+"jsMath-controls.html");}},Button',3,'(){var _81=',6,11,'button",{});_81.title=" Open jsMath Control Panel ";_81',14,'="jsMath','";if(_81.offsetWidth<2*',6,'em){_81.style.width="auto";}_81.onclick=new Function("',63,'.Panel()");if(!','this.cookie','.button){_81',1,'MoveButton',3,'(){if(!this.button){this.button=',6,7,'button");}','this.button.style.visibility="','hidden";',160,'visible";},GetCookie',3,'(){if(','this.defaults',23,166,31,6,44,166,',',151,');this.userSet={};var _82=',6,'document.cookie',';if(','jsMath.window.location','.protocol=="file:"){','_82=unescape(',179,'.search.substr(1));}if(_82','.match(/jsMath','=([^;]*)/)){var _83=RegExp.$1.split(/,/);for(var i=0;i<_83.length;i++){var x=_83[i].match(/(.*):(.*)/);if(x[2].match(/^\\d+$/)){x[2]=1*x[2];}',151,'[x[1]]=x[2];this.userSet[x[1]]=1;}}},SetCookie',3,'(_86){var _87=[];','for(var id in ',151,5,166,'[id]==null||',151,'[id]!=',166,'[id]){_87[_87.length]=id+":"+',151,'[id];}}_87=_87.join(",");if(',179,180,'if(!_86){return;}this.loaded=0;var _89=String(',179,').replace(/\\?.*/,"");','if(_87!=""){','_89+="?jsMath="+escape(_87);}if(_89!=',179,'.href){',179,'.replace(_89);}}else{if(','this.cookiePath','){_87+="; ','path="+',212,';}if(','this.cookieDomain',213,'domain="+',217,216,151,'.keep!="0D"){var ms={D',':1000*60*60*24',',W',224,'*7,M',224,'*30,Y',224,'*365};var exp=new Date;exp.setTime(exp.getTime()+',151,'.keep.substr(','0,1)*ms[',151,233,'1,1)]);_87+="; expires="+exp.toGMTString();}',206,6,177,145,'="+_87;var _8c=',6,177,';if(_86&&!_8c',184,'=/)){alert("Cookies must be enabled in order to save jsMath options");}}}}};',6,'Click={CheckClick',3,'(_8d){if(!_8d){_8d=',6,'window.event;}if','(_8d.altKey){',63,'.Panel();}},CheckDblClick',3,'(_8e){if(!_8e){_8e=',6,253,'(!',6,'Click.DblClick){',6,'Extension.Require("double-click",1);var _8f=_8e;_8e={};',190,'_8f){_8e[id]=_8f[id];}}',18,'Push(',6,'Click,"DblClick",[_8e,this.alt]);}};',6,'TeX={thinmuskip:3/18,medmuskip:4/18,thickmuskip:5/18,x_height:0.430554,quad:1,num1:0.676508,num2:0.393732,num3:0.44373,denom1:0.685951,denom2:0.344841,sup1:0.412892,sup2:0.362892,sup3:0.288888,sub1:0.15,sub2:0.247217,sup_drop:0.386108,sub_drop:0.05,delim1:2.39,delim2:1,axis_height:0.25,default_rule_thickness:0.04,big_op_spacing1:0.111111,big_op_spacing2:0.166666,big_op_spacing3:0.2,big_op_spacing4:0.6,big_op_spacing5:0.1,integer:6553.6,scriptspace:0.05,nulldelimiterspace:0.12,delimiterfactor:901,delimitershortfall:0.5,scale:1,atom:["ord","op","bin","rel","open","close","punct","ord"],fam:["cmr10","cmmi10","cmsy10","cmex10","cmti10","","cmbx10",""],famName:{cmr10:0,cmmi10:1,cmsy10:2,cmex10:3,cmti10:4,cmbx10:6},encoding:["&#xC0;","&#xC1;","&#xC2;","&#xC3;","&#xC4;","&#xC5;","&#xC6;","&#xC7;","&#xC8;","&#xC9;","&#xCA;","&#xCB;","&#xCC;","&#xCD;","&#xCE;","&#xCF;","&#xB0;","&#xD1;","&#xD2;","&#xD3;","&#xD4;","&#xD5;","&#xD6;","&#xB7;","&#xD8;","&#xD9;","&#xDA;","&#xDB;","&#xDC;","&#xB5;","&#xB6;","&#xDF;","&#xEF;","!","&#x22;","#","$","%","&#x26;","&#x27;","(",")","*","+",",","-",".","/","0","1","2","3","4","5","6","7","8","9",":",";","&#x3C;","=","&#x3E;","?","@","A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","[","&#x5C;","]","^","_","`","a","b","c","d","e","f","g","h","i","j","k","l","m","n","o","p","q","r","s","t","u","v","w","x","y","z","{","|","}","&#x7E;","&#xFF;"],cmr10:[[0.625',',0.683],[0.','833',274,'778',274,'694',274,'667',274,'75',274,'722',274,'778',274,'722',274,'778',274,'722',274,'583',',0.694,0,{ic:0.','0778,krn:{"39":0.0778,"63":0.0778,"33":0.0778,"41":0.0778,"93":0.0778},lig:{"105":','14,"108":15}}],[0.','556',',0.694],[0.','556',300,'833',300,'833',300,'278',',0.431],[0.','306,0.431',',0.194],[0.','5',300,'5',300,'5,0.628],[0.5',300,'5,0.568],[0.75',300,'444,0,0.17],[0.5',300,'722',308,'778',308,'5,0.528,0.0972],[0.903,0.683],[1.01',274,'778,0.732,0.0486],[','0.278',',0.431,0,{','krn:{"108":-0.','278,"76":-0.319}}],[',328,',0.694,0,{lig:{"96":','60}}],[0.','5',300,'833',',0.694,0.194],[','0.5',',0.75,0.0556],[0.','833',340,'778',300,'278',',0.694,0,{krn:{"','63":0.111,"33":0.111','},lig:{"39":34}}],[0.','389',',0.75,0.25],[0.','389',350,'5,0.75],[','0.778,0.583,0.0833],[','0.278,0.106',310,'333',329,'lig:{"45":','123}}],[',355,'],[0.5',350,'5,0.644','],[0.5,0.644],[0.5,0.','644',365,'644',365,'644',365,'644],[0.5,0.644],[',328,308,'278,0.431',310,'278,0.5',310,'778',',0.367,-0.133],[','0.472,0.5',310,'472',333,'62}}],[0.778',300,'75',',0.683,0,{krn:{"','116','":-0.0278,"','67',390,'79',390,'71',390,'85',390,'81',390,'84":-0.0833,"89":-0.0833,"86":-0.111,"87":-0.111}}],[0.','708',274,'722',274,'764',388,'88',390,'87',390,'65',390,'86',390,'89":-','0.0278}}],[0.','681',274,'653',',0.683,0,{','krn:{"111":-0.0833,"101":-0.0833,"117":-0.0833,"114":-0.0833,"97":-0.0833,"65":-0.111,"79":-0.0278,"67":-0.0278,"71":-0.0278,"81":-0.0278}}],[','0.785',274,'75',274,'361',388,'73":',417,'514',274,'778',388,'79',390,'67',390,'71',390,'81":-',417,'625',388,401,'917',274,'75',274,'778',388,'88',390,'87',390,'65',390,'86',390,'89":-',417,'681',388,'65','":-0.0833,"','111',390,'101',390,'97',390,'46',465,'44":-0.','0833}}],[0.','778,0.683',310,'736',388,'116',390,'67',390,'79',390,'71',390,'85',390,'81',390,401,'556',274,'722',388,'121',390,'101',465,'111',465,'114',465,'97',465,'65',465,'117":-0.',475,'75',274,'75',',0.683,0,{ic:0.','0139,',422,'1.03',514,'0139,',422,'0.75',388,'79',390,'67',390,'71',390,'81":-',417,'75',514,'025,','krn:{"101',465,'111',465,'114',465,'97',465,'65',465,509,475,'611',274,'278',350,'5',300,'278',350,'5',300,'278,0.668],[0.','278',333,'92}}],[0.','5',329,'krn:{"118',390,'106":0.0556,"121',390,'119":-',417,'556,0.','694,0',',{krn:{"101":0.0278,"111":0.0278,"120":-0.0278,"100":0.0278,"99":0.0278,"113":0.0278,"118":-0.0278,"106":0.0556,"121":-0.0278,"119":-0.0278}}],[0.','444',329,'krn:{"104',390,'107":-',417,'556',300,'444',308,'306',296,297,'12,"102":11,"108":13}}],[0.5',',0.431,0.194,{','ic:0.','0139,krn:{"','106":',417,'556',346,'116',390,'117',390,'98',390,'121',390,'118',390,'119":-',417,556,'306,0.668',310,'528',346,'97','":-0.0556,"','101',390,'97',390,'111',390,'99":-',417,'278',300,'833',329,'krn:{"116',390,'117',390,'98',390,'121',390,'118',390,'119":-',417,'556',329,'krn:{"116',390,'117',390,'98',390,'121',390,'118',390,'119":-',417,'5,0.431',',0',570,568,'431,0.194',570,'528,0.431',310,'392',308,'394',308,'389,0.615,0,{krn:{"121',390,'119":-',417,'556',329,'krn:{"119":-',417,'528',',0.431,0,{ic:0.',587,'97',610,'101',390,'97',390,'111',390,'99":-',417,'722',670,587,'101',390,'97',390,'111',390,'99":-',417,'528',308,'528',585,'ic:0.',587,'111',390,'101',390,'97',390,'46',465,'44":-0.',475,'444',308,'5',670,'0278,',359,'124}}],[1',670,'0278}],[0.','5',300,'5,0.668],[0.5,0.668]],cmmi10:[[0.615',514,'139',',krn:{"61":-0.0556,"59":-0.111,"58":-0.111,"127":0.',475,'833',388,'127":0.167}}],[0.','763',514,713,'krn:{"127":0.0833}}],[0.','694',388,727,'742',514,'0757,',731,'831',514,'0812,krn:{"61',610,'59":-0.0556,"58":-0.0556,"127":0.','0556}}],[0.','78',514,'0576,',731,'583',514,'139',723,744,'667',421,731,'612',514,'11,krn:{"61',610,743,744,'772',514,'0502,',731,'64',670,'0037,','krn:{"127":',417,'566',',0.694,0.194,{ic:0.','0528,',731,'518',585,'ic:0.0556}],[0.444',296,'0378,krn:{"',743,744,'406',329,'krn:{"127":0.0556}}],[0.','438',773,'0738,',731,'497',585,'ic:0.0359',',',785,'469',296,713,731,'354',329,785,'576',308,'583',300,'603',585,770,417,'494',670,'0637,krn:{"',743,'0278}}],[0.','438',773,'046,',770,'0.111}}],[0.','57',670,'0359}],[0.','517',585,731,'571',670,'0359,krn:{"59',610,'58":-0.',744,'437',670,'113,krn:{"',743,814,'54',670,'0359,',770,417,'596,0.694,0.194,{',731,'626',585,785,'651',773,'0359,',770,819,'622',670,822,'466',329,731,'591',',0.694,0,{',731,'828',670,717,'517',585,731,'363,0.431,0.0972,{ic:0.0799,',731,'654',585,770,'0.0833}}],[1',380,'1',380,'1',380,'1',380,328,',0.464,-0.0363],[',328,881,'0.5,0.465,-0.0347],[',884,'0.5',308,'5',308,'5',308,649,310,649,310,649,',0.194',365,653,365,'431',310,'278,0.106],[',355,310,'778',',0.539,0.0391],[','0.5,0.75,0.25,{krn:{"1',610,'65',610,'77',610,'78',610,'89":0.0556,"90":-0.',744,'778',907,884,'0.531',296,'0556,',731,'75',388,'127":','0.','139}}],[0.','759',514,'0502,',731,'715',514,'0715,krn:{"61',390,743,475,'828',514,713,785,'738',514,'0576,',731,'643',514,'139',723,475,'786',421,731,'831',514,'0812,krn:{"61',610,743,744,'44',514,'0785,',770,819,'555',514,'0962',723,'167}}],[0.','849',514,'0715,krn:{"61',610,743,744,'681',388,927,417,'97',514,'109,krn:{"','61',610,743,475,'803',514,984,'61',465,'61',390,743,475,'763',514,713,731,'642',514,'139',723,475,'791,0.683,0.194,{',731,'759',514,'00773,',731,'613',514,'0576,krn:{"61',610,743,475,'584',514,'139,krn:{"61',390,743,475,'683',514,984,'59":-0.111,"',830,'111,"61',610,927,417,'583',514,'222',',krn:{"59":-0.167,"58":-0.167,"61":-0.111}}],[0.','944',514,'139',1037,'828',514,'0785,krn:{"61',465,'61',390,743,475,'581',514,'222',1037,'683',514,'0715,krn:{"61',610,743,475,'389,0.75],[0.389',338,'0.389',338,'1,0.358,-0.142],[',1064,'0.417',859,770,819,'529',308,'429',300,'433',329,785,'52',346,'89":0.0556,"90',610,'106":-0.111,"102":-0.167,"',727,'466',329,785,'49',773,'108,krn:{"',743,971,'477',585,792,',',770,417,'576',346,'127":-',417,'345,0.66],[0.412,0.66',',0.194,{ic:0.','0572,krn:{"59',610,830,744,'521',296,'0315}],[0.298',296,'0197,',731,'878',308,'6',308,'485',329,785,'503',585,731,'446',585,792,',',731,'451',670,713,'krn:{"',743,744,'469',329,785,'361,0.615,0,{',731,'572',329,770,417,'485',670,'0359,',770,417,'716',670,'0269,',731,'572',329,770,417,'49',585,792,',',785,'465',670,'044,',785,'322',329,770,417,'384',585,731,'636',585,770,819,'5,0.714',',0,{ic:0.','154}],[',328,296,'399}]],cmsy10:[[',354,328,',0.444,-0.0556],[',354,884,354,'0.5,0.444,-0.0556],[',354,354,354,354,354,354,354,'1',338,1188,1188,'0.778',881,'0.778,0.464,-0.0363','],[0.778,0.636,0.136',1203,1203,1203,1203,1203,'],[0.778',380,'0.778,0.483,-0.0169],[0.778',907,'0.778',907,'1',907,'1',907,'0.778',907,'0.778',907,'1',380,'1',380,'0.5',338,'0.5',338,'1',380,'1',338,'1',338,'0.778',881,'1',380,'1',380,'0.611',338,'0.611',338,'1',380,'1',338,'1',338,'0.778',308,'275,0.556],[1',308,'667',907,'0.667',907,'0.889',338,'0.889',338,'0',338,'0',380,'0.556',300,'556',300,'667',308,'5',340,'722',300,'722',300,'778',300,'778',300,'611',300,'798',388,'48":0.','194}}],[0.657',514,'0304',',krn:{"48":0.',929,'527',514,'0583',1293,929,'771',514,'0278',1293,475,'528',514,'0894',1293,'111}}],[0.','719',514,'0993',1293,1309,'595',',0.683,0.0972,{ic:0.','0593',1293,1309,'845',514,'00965',1293,1309,'545',514,'0738,krn:{"48":',417,'678',1316,'185',1293,971,'762',514,'0144',1293,744,'69',388,1289,'139}}],[1.2',388,1289,929,'82',514,'147',1293,475,'796',514,1302,1293,1309,'696',514,'0822',1293,475,'817,0.683,0.0972,{krn:{"48":',819,'848',388,1289,475,'606',514,'075',1293,929,'545',514,'254,krn:{"48":',417,'626',514,'0993',1293,475,'613',514,'0822,krn:{"48":',417,'988',514,'0822',1293,475,'713',514,'146',1293,929,'668',1316,'0822',1293,475,'725',514,'0794',1293,929,'667,0.556],[0.',1405,1405,1405,1405,'611',300,'611',300,'444',350,'444',350,'444',350,'444',350,'5',350,'5',350,'389',350,'389',350,'278',350,'5',350,'5',350,'611',350,'5',350,'278',338,'0.833,0.04,0.96],[0.75',274,'833',274,'417',773,'111}],[0.',1405,'667,0.556',1203,1203,'],[0.444',338,'0.444',338,'0.444',338,'0.611',338,'0.778,0.694,0.13','],[',1461,'],[',1461,'],[',1461,']],cmex10:[[0.458',',0.04,1.16,{n:','16}],[0.458',1469,'17}],[0.417',1469,'104}],[0.417',1469,'105}],[0.','472',1469,'106}],[0.472',1469,'107}],[0.472',1469,'108}],[0.472',1469,'109}],[0.583',1469,'110}],[0.583',1469,1448,'472',1469,'68}],[0.472',1469,'69}],[0.333',',0,0.6,{delim:{','rep:12}}],[0.556',1495,'rep:13}}],[0.578',1469,'46}],[0.578',1469,'47}],[0.597',',0.04,1.76,{','n:18}],[0.597',1503,'n:19}],[0.736',',0.04,2.36,{n:','32}],[0.736',1507,'33}],[0.528',1507,'34}],[0.528',1507,'35}],[0.583',1507,'36}],[0.583',1507,'37}],[0.583',1507,'38}],[0.583',1507,'39}],[0.75',1507,'40}],[0.75',1507,'41}],[0.75',1507,'42}],[0.75',1507,'43}],[1.04',1507,'44}],[1.04',1507,'45}],[0.792',',0.04,2.96,{n:','48}],[0.792',1535,'49}],[0.583',1535,'50}],[0.583',1535,'51}],[0.639',1535,'52}],[0.639',1535,'53}],[0.639',1535,'54}],[0.639',1535,'55}],[0.806',1535,'56}],[0.806',1535,'57}],[0.806',',0.04,2.96],[','0.806',1555,'1.28',1555,'1.28',1555,'0.811',1503,'n:30}],[0.811',1503,'n:31}],[0.875',1503,'delim:{top:','48,bot:64,rep:66}}],[0.875',1503,1568,'49,bot:65,','rep:67}}],[0.','667',1503,1568,'50,bot:52,rep:54}}],[0.667',1503,1568,'51,bot:53,rep:55}}],[0.667',1503,'delim:{bot:','52,rep:54}}],[0.667',1503,1582,'53,rep:55}}],[0.667',1495,'top:50,rep:54}}],[0.667',1495,'top:51,rep:55','}}],[0.889,0,0.9,{delim:{top:','56,mid:60,bot:58,rep:62',1591,'57,mid:61,bot:59,rep:62',1591,'56,bot:58,rep:62',1591,'57,bot:59,rep:62','}}],[0.889,0,1.8,{delim:{rep:','63',1599,'119}}],[0.889,0,0.3,{delim:{','rep:62}}],[0.','667',1495,'top:120,','bot:121,rep:63}}],[0.','875',1503,1568,'56,bot:59,',1603,'875',1503,1568,'57,bot:58,',1603,'875',1495,'rep:66}}],[0.875',1495,1573,'611',1503,'n:28}],[0.611',1503,'n:29','}],[0.833,0,1,{n:','71}],[1.11',',0.1,1.5],[','0.472,0,1.11,{ic:0.194,n:','73}],[','0.556,0,2.22,{ic:0.444}],[1.11,0',',1,{n:75}],[1.51,0','.1,1.5],[1.11,0',',1,{n:77}],[1.51,0',1635,',1,{n:79}],[1.51',1630,'1.06,0,1,{n:88}],[0.944,0,1,{n:89}],[',1631,'90',1628,'91',1628,'92',1628,'93',1628,'94',1628,'95}],[1.44',1630,'1.28',1630,1633,1635,1635,1635,1635,'.1,1.5],[0.944,0,1,{n:97}],[1.28',1630,'0.556,0.722,0,{n:','99','}],[1,0.75,0,{n:','100}],[1.44,0.75],[',1663,'102',1665,'103}],[1.44,0.75],[0.472',1503,'n:20}],[0.472',1503,'n:21}],[0.528',1503,'n:22}],[0.528',1503,'n:23}],[0.528',1503,'n:24}],[0.528',1503,'n:25}],[0.667',1503,'n:26}],[0.667',1503,'n:27}],[1',1469,'113}],[1',1503,'n:114}],[1',1507,'115}],[1',1535,'116}],[1.06,0,1.8,{',1568,'118,bot:116,rep:117}}],[1.06,0,0.6],[1.06,0.04,0.56],[0.778',1495,'top:126,','bot:127,rep:119','}}],[0.667',1495,1606,'rep:63}}],[0.667',1495,1607,'45,0.12],[0.',1706,1706,1706,'778',1495,1698,'rep:119}}],[0.778',1495,1699,'}}]],cmti10:[[0.627',514,'133}],[0.818',274,'767',514,'094}],[0.692',274,'664',514,'153}],[0.743',514,'164}],[0.','716',514,'12}],[0.','767',514,1448,'716',514,'0599}],[0.767',514,1448,'716',514,'103}],[0.','613',773,'212,krn:{"39":0.104,"63":0.104,"33":0.104,"41":0.104,"93":0.104},lig:{"105":',298,'562',773,1742,'588',773,1742,'882',773,1742,'894',773,1742,'307',670,'0767}],[0.','332',585,'ic:0.0374}],[0.511',300,'511',296,'0969','}],[0.511,0.','628',1177,'083}],[0.511',296,'108',1769,'562',1177,1742,'831',300,'46,0,0.17],[0.537',773,1476,'716',670,'0751}],[0.716',670,'0751',1769,'528,0.0972,{ic:0.0919}],[0.883',514,1731,'985',514,1731,'767,0.732,0.0486,{ic:0.094}],[0.256',329,330,'256,"76":-0.321}}],[0.307',296,'124,lig:{"96":',334,'514',296,'0696}],[0.818',773,'0662}],[0.769',300,'818,0.75,0.0556',',{ic:0.136}],[0.','767',296,'0969}],[0.307',296,'124,krn:{"63":0.102,"33":0.102',348,'409',',0.75,0.25,{ic:0.','162}],[0.409',1818,'0369',1769,'75',1177,'149}],[0.767,0.562,0.0567,{ic:0.0369}],[0.307,0.106',310,'358',670,'0283,',359,'123}}],[0.307,0.106],[0.511',1818,'162',1769,'644,0',',{ic:0.136}],[0.511,0.644,0',1836,1836,1836,'.194',1836,1836,1836,'.194',1836,1836,1810,'307',670,'0582}],[0.307',585,'ic:0.0582}],[0.307,0.5',1102,'0756}],[0.767,0.367,-0.133,{ic:0.0662',1769,'5',310,'511',296,'122,lig:{"96":62}}],[0.767',296,'096}],[0.743',421,'krn:{"110":-0.0256,"108":-0.0256,"114":-0.0256,"117":-0.0256,"109":-0.0256,"116":-0.0256,"105":-0.0256,"67":-0.0256,"79":-0.0256,"71":-0.0256,"104":-0.0256,"98":-0.0256,"85":-0.0256,"107":-0.0256,"118":-0.0256,"119":-0.0256,"81":-','0.0256,"84','":-0.0767,"','89',1866,'86','":-0.102,"','87',1870,'101":-0.0511,"97":-0.0511,"111":-0.0511,"100":-0.0511,"99":-0.0511,"103":-0.0511,"113":-0.0511}}],[0.','704',514,1742,'716',514,'145}],[0.755',514,'094,krn:{"88','":-0.0256,"','87',1882,'65',1882,'86',1882,'89','":-0.0256}}],[0.','678',514,1731,'653',514,'133,krn:{"','111','":-0.0767,"101":-0.0767,"','117','":-0.0767,"114":-0.0767,"97":-0.0767,"','65',1870,'79":-0.0256,"67":-0.0256,"71":-0.0256,"81":-0.0256}}],[0.','774',514,'0872}],[0.743',514,1728,'386',514,'158}],[0.525',514,'14}],[0.769',514,'145,krn:{"',1903,'627',388,'84',1866,'89',1866,'86',1870,'87',1870,1873,'897',514,1728,'743',514,1728,'767',514,'094,krn:{"88',1882,'87',1882,'65',1882,'86',1882,'89',1890,'678',514,'103',',krn:{"65":-0.0767}}],[0.','767,0.683',1102,'094}],[0.729',514,'0387,',1864,'0.0256,"84',1866,'89',1866,'86',1870,'87',1870,1873,'562',514,1731,'716',514,1896,'121',1898,'111',1900,'117":-0.0767,"65":-0.0767}}],[0.','743',514,1728,'743',514,'184,krn:{"111',1898,'117',1900,'65',1870,1903,'999',514,'184',1949,'743',514,'158,krn:{"',1903,'743',514,'194,',534,1866,'111',1900,1975,'613',514,'145}],[0.307',1818,'188}],[0.514',296,'169}],[0.307',1818,1476,'511',296,'0665}],[0.307,0.668',1177,'118}],[0.307',296,1801,559,'511',670,1761,'46',296,'0631,krn:{"',1873,'46',670,'0565,krn:{"',1873,'511',296,'103,krn:{"108":0.0511}}],[0.46',670,'0751,krn:{"',1873,'307',773,'212,krn:{"39":0.104,"63":0.104,"33"'],
  [':0.104,"41":0.104,"93":0.104},lig:{"105":','12,"102":11,"108":13}}],[0.','46',',0.431,0.194,{ic:0.0885}],[0.','511',',0.694',',0,{ic:0.','0767}],[0.','307,0.655',6,'102}],[0.307,0.655',',0.194,{ic:0.','145}],[0.46',5,6,'108}],[0.','256',5,6,'103',',krn:{"108":0.0511}}],[0.','818',',0.431,0,{ic:0.',7,'562',22,'0767,krn:{"39":-0.102}}],[0.511',22,'0631',',krn:{"101":-0.0511,"97":-0.0511,"111":-0.0511,"100":-0.0511,"99":-0.0511,"103":-0.0511,"113":-0.0511}}],[0.','511,0.431',11,'0631',29,'46',3,'422',22,'108',29,'409',22,'0821}],[0.332,0.615',6,'0949}],[0.537',22,7,'46',22,15,'664',22,'108',20,'464',22,'12}],[0.486',3,'409',22,'123}],[0.511',22,'0921',',lig:{"45":124}}],[1.','02',22,'0921}],[0.511',5,6,'122}],[0.511,0.668',6,'116}],[0.511,0.668',6,'105}]],cmbx10:[[0.692',',0.686],[0.','958',74,'894',74,'806',74,'767',74,'9',74,'831',74,'894',74,'831',74,'894',74,'831',74,'671',',0.694,0,{ic:0.109,krn:{"39":0.109,"63":0.109,"33":0.109,"41":0.109,"93":0.109},lig:{"105":','14,"108":15}}],[0.639',',0.694],[0.','639',98,'958',98,'958',98,'319',',0.444],[0.','351',',0.444,0.194','],[0.575,0.','694',109,'694',109,'632',109,'694',109,'596],[0.869',98,'511,0,0.17],[0.597',98,'831',106,'894',',0.444',109,'542,0.0972],[1.04',',0.686','],[1.17',74,'894,0.735,0.0486],[0.319',',0.444,0,{krn:{"','108":-0.319,"76":-0.378}}],[0.35',',0.694,0,{lig:{"96":','60}}],[0.603',98,'958',5,',0.194',109,'75,0.0556],[0.','958,0.',141,'894',98,'319',',0.694,0,{krn:{"','63":0.128,"33":0.128},lig:{"39":34}}],[0.447',',0.75,0.25],[0.','447,0.75,0.25',109,'75],[0.894,0.633,0.133],[','0.319,0.156',',0.194],[0.','383',125,',0,{lig:{"45":123}}],[',153,109,'75,0.25',109,'644',109,'644',109,'644',109,'644',109,'644',109,'644',109,'644',109,'644',109,'644',109,'644],[0.319',106,'319',108,'],[0.35,0.5',154,'894,0.391,-0.109],[0.543,0.5',154,'543',134,'62}}],[0.894',98,'869',',0.686,0,{krn:{"','116','":-0.0319,"','67',195,'79',195,'71',195,'85',195,'81',195,'84":-0.0958,"89":-0.0958,"86":-0.128,"87":-0.128}}],[','0.818',74,'831',74,'882',193,'88',195,'87',195,'65',195,'86',195,'89','":-0.0319}}],[0.','756',74,'724',128,',0,{','krn:{"111":-0.0958,"101":-0.0958,"117":-0.0958,"114":-0.0958,"97":-0.0958,"65":-0.128,"79":-0.0319,"67":-0.0319,"71":-0.0319,"81":-0.0319}}],[','0.904',74,'9',74,'436',193,'73','":0.0319}}],[0.','594',74,'901',193,'79',195,'67',195,'71',195,'81',222,'692',193,206,'1.09',74,'9',74,'864',193,'88',195,'87',195,'65',195,'86',195,'89',222,'786',193,'65":-0.0958,"111',195,'101',195,'97',195,'46":-0.0958,"44":-0.0958}}],[0.','864',128,154,'862',193,'116',195,'67',195,'79',195,'71',195,'85',195,'81',195,206,'0.639',74,'8',193,'121',195,'101":-0.0958,"111":-0.0958,"114":-0.0958,"97":-0.0958,"65":-0.0958,"117":-0.0958}}],[0.','885',74,'869',128,6,'016,',228,'1.19',128,6,'016,',228,'0.869',193,'79',195,'67',195,'71',195,'81',222,'869',128,6,'0287,krn:{"',301,'703',74,'319',149,'603',98,'319,0.75,0.25',109,'694],[0.319',98,'319',134,'92}}],[0.559',132,'118',195,'106":0.0639,"121',195,'119',222,'639',5,',0',',{krn:{"101":0.0319,"111":0.0319,"120":-0.0319,"100":0.0319,"99":0.0319,"113":0.0319,"118":-0.0319,"106":0.0639,"121":-0.0319,"119":-0.0319}}],[0.','511',132,'104',195,'107',222,'639',98,'527',106,'351',96,1,'575',108,',{ic:0.016,krn:{"','106',236,'639',147,'116',195,'117',195,'98',195,'121',195,'118',195,'119',222,'319',98,'351',5,154,'607',147,'97":-0.0639,"101',195,'97',195,'111',195,'99',222,'319',98,'958',132,'116',195,'117',195,'98',195,'121',195,'118',195,'119',222,'639',132,'116',195,'117',195,'98',195,'121',195,'118',195,'119',222,'575',125,',0',352,'639',108,352,'607',108,'],[0.474',106,'454',106,'447,0.635,0,{krn:{"121',195,'119',222,'639',132,'119',222,'607',125,6,'016,krn:{"','97":-0.0639,"101',195,'97',195,'111',195,'99',222,'831',125,6,454,'101',195,'97',195,'111',195,'99',222,'607',106,'607',108,368,'111',195,'101',195,'97',195,276,'511',125,109,'444',6,'0319',63,'15',125,6,'0319}],[0.575',5,109,'694',109,'694]]};','jsMath.Img','={fonts:[50,60,70,85,100,120,144,173,207,249,298,358,430],w:{"50":6.9,"60":8.3,"70":9.7,"85":11.8,"100":13.9,"120":16.7,"144":20,"173":24,"207":28.8,"249":34.6,"298":41.4,"358":49.8,"430":59.8},best:4,update:{},factor:1,loaded:0,SetFont',':function(','_91){for(var _92 in _91){if(!','this.update[_92',']){',507,']=[];}',507,']=',507,'].concat(_91[_92]);}},AddFont',505,'_93,def){if(!',503,'[_93]){',503,'[_93]={};}','jsMath.Add(',503,'[_93],def);},UpdateFonts',':function(){','var _95=this.update;','if(!this.loaded){','return;}var ','_96=this[','jsMath.Img.fonts','[this.best]];','for(var _97 in _95){','for(var i=0;i<','_95[_97].length;i++){var c=_95[_97][i];if(c=="all"){for(c in ','jsMath.TeX[','_97]){',534,'_97][c].img','={};}}else{',534,537,'={};}}}this.update={};},BestSize',524,'var w=jsMath.em*this.factor;var m=','this.w[this.fonts[','0]];for(var i=1;i<','this.fonts','.length;i++){','if(w<(',544,'i]]+2*m)/3){','return ','i-1;}m=',544,'i]];}',551,'i-1;},Scale',524,526,'return;}this.best=this.BestSize();this.em=',503,'.w[',546,530,'this.scale','=(jsMath.em/this.em);','if(Math.abs(',564,'-1)<0.12){',564,'=1;}},URL',505,'_9d,_9e,C){var _a0=(','jsMath.Controls.cookie.','alpha)?"/alpha/":"/plain/";if(C==null){C="def.js";}else{C="char"+C+".png";}if(_9e!=""){_9e+="/";}','return this.','root+_9d+_a0+_9e+C;},LoadFont',505,'_a1){',526,'this.Init();}jsMath.Setup.Script(this.URL(_a1,""));},Init',524,'if(',573,'print||',573,'stayhires','){',573,'print=',573,586,';this.factor*=3;if(jsMath.window.location.protocol!="file:"){jsMath.Controls.SetCookie(0);}if(','jsMath.Browser.','alphaPrintBug){',573,'alpha=0;}}var _a2="0123456789ABCDEF";this.HexCode=[];',532,'128;i++){var h=Math.floor(i/16);var l=i-16*h;this.HexCode[i]=_a2.charAt(h)+_a2.charAt(l);}this.loaded=1;}};jsMath.HTML={Em',505,'m){var n=5;if(m<0){n++;}',566,'m)<0.000001){m=0;}var s=String(m);s=s.replace(/(\\.\\d\\d\\d).+/,"$1");',551,'s+"em";},Spacer',505,'w){if(w==0){return "";}',551,593,'msieSpaceFix+"<','span class=\\"spacer\\" style=\\"margin-','left:"+this.Em(','w)+"\\"></span>";},Blank',505,'w,h,d,_ad){var _ae="";var _af="";if(_ad){_af+="border-',611,'w)+" solid;";if(',593,'widthAddsBorder){w=0;}}if(w==0){if(',593,'blankWidthBug){_af+="width:1px;";_ae="<',610,'right:-1px\\"></span>";}}else{_af+="width:"+this.Em(w)+";";}if(d==null){d=0;}if(h){var H=this.Em(h+d);if(_ad&&h>0&&h*jsMath.em<1.5){H="1px";h=1/jsMath.em;}_af+="height:"+H+";";}if(',593,'mozInlineBlockBug){d=-h;}if(',593,'msieBorderBug&&!_ad){d-=jsMath.d;}if(d){_af+="','vertical-align:"+','this.Em(-d);}',551,'_ae+"<span class=\\"blank\\" ','style=\\""+','_af+"\\"></span>";},Rule',505,'w,h){if(h==null){h=jsMath.TeX.default_rule_thickness;}',575,'Blank(w,h,0,1);},Class',505,'_b3,_b4){return "<span class=\\""+_b3+"\\">"+_b4+"</span>";},Place',505,'_b5',',x,y){if(Math.abs(x)<0.0001){x=0;}if(Math.abs(y)<0.0001){y=0;}','if(x||y){var _b8','="<span style=\\"position',': relative',';";if(x){_b8+=" margin-',611,'x)+";";}if(y){_b8+=" ','top:"+this.Em','(-y)+";";}_b5=_b8+"\\">"+_b5','+"</span>";}',551,'_b5;},PlaceSeparateSkips',505,'_b9',641,'if(y){_b9',643,644,'; ',648,'(-y)+";"+"\\">"+_b9',650,'if(x){_b9=this.Spacer(x)+_b9',';}return ','_b9;},PlaceAbsolute',505,'_bc',641,'_bc',643,':absolute','; ',611,'x)+"; "+"',648,'(y)+";\\">"+_bc+"&nbsp;</span>";',551,'_bc;},Absolute',505,'_bf,w,h,d,y,H){if(y!="none"){',566,'y)<0.0001){y=0;}_bf',643,671,'; "+"top:"+','jsMath.HTML.','Em(y)+"; left:0em',';\\">"+_bf','+"&nbsp;"+"</span>";}if(d=="none"){d=0;}_bf+=this.Blank(w,h-d,d);if(',593,'msieAbsoluteBug){_bf',643,':relative',688,650,'_bf',643,693,';"+" width: "+',686,'Em(w)+";"+" height: "+',686,'Em(H)+";"+',593,'msieInlineBlockFix+"\\">"+_bf+"</span>";',551,'_bf;}};','jsMath.Box','=function(','_c5,_c6,w,h,d){if(d==null){d=jsMath.d;}this.type="typeset";this.w=w;this.h=h;this.d=d;this.bh=h;this.bd=d;this.x=0;this.y=0;','this.html=','_c6;this.format=_c5;};',521,708,',{defaultH:0,Null:','new jsMath.Box("','null","",0,0,0),Text',505,'_ca,_cb,_cc,_cd,a,d){var _d0=','jsMath.Typeset.AddClass(','_cb,_ca);_d0=','jsMath.Typeset.','AddStyle(','_cc,_cd,_d0);var BB','=jsMath.EmBoxFor(','_d0);var TeX=',722,'TeX(_cc,_cd);var bd=((_cb=="cmsy10"||_cb=="cmex10")?BB.h-TeX.h:TeX.d*BB.h/TeX.hd);','var box=',716,'text",_ca,BB.w,BB.h-bd,bd);box.style=_cc;box.size=_cd;','box.tclass','=_cb;if(d','!=null){box.','d=d','*TeX.scale;}else{box.','d=0;}if(a==null||a==1){box.h=0.9*TeX.M_height;}else{box.h=1.1*TeX.x_height+TeX.scale*a;}','return box;},','TeX',505,'C,_d6,_d7,_d8){var c=',534,'_d6][C];if(','c.d==null){c.d=0;}','if(c.h','==null){c.','h=0',';}if(c.img!=null','&&c.c!=""){this.TeXIMG(_d6,C,',722,'StyleSize(_d7,_d8));}var _da=',722,'TeX(_d7,_d8).scale;var h=c.h+',534,'_d6].dh;',729,716,'text",c.c,c.w*_da,h*_da,c.d*_da);box.style=_d7;box.size=_d8;if(c.tclass){',732,'=c.tclass;if(c.img){box.bh=c.img.bh;box.bd=c.img.bd;}else{box.bh=_da*jsMath.h;box.bd=_da*jsMath.d;}}else{',732,'=_d6;box.bh=_da*',534,'_d6].h;box.bd=_da*',534,'_d6].d;if(',593,'msieFontBug&&box.html.match(/&#/)){box.html+="<span style=\\"display',': none\\">x</span>";}}',738,'TeXfallback',505,'C,_de,_df,_e0','){c=',534,'_de][C];if(!c.tclass){c.tclass=_de',748,'){',575,'TeXnonfallback(',773,');}if(c.h!=null&&c.a',746,'a=c.h-1.1*jsMath.TeX.x_height;}',729,'this.Text(c.c,c.tclass,_df,_e0,c.a,c.d);var _e2=',722,'TeX(_df,_e0).scale;if(c.bh',734,'bh=c.bh*_e2;box.bd=c.bd*_e2;}else{var h=box.bd+box.bh;var _e4=',720,732,',box.html);_e4=',722,723,'_df,_e0,_e4);box.bd',725,'_e4+',686,'Blank(1,h)).h-h;box.bh=h-box.bd;if(_e2==1){c.bh=box.bh;c.bd=box.bd;}}if(jsMath.',768,':none\\">x</span>";}',738,'TeXIMG',505,'_e5,C,_e7){var c=',534,'_e5][C];if(c.img.size!=null&&c.img.size==_e7&&c.img.best!=null&&c.img.best==','jsMath.Img.best','){',527,'_e9=(',503,'.scale!=1);var id=',809,'+_e7-4;if(id<0){id=0;_e9=1;}else{if(id>=',529,'.length){','id=',529,'.length-1;_e9=1;}}var _eb=',503,'[',529,'[id]];var img=_eb[_e5][C];var _ed=1/',503,'.w[',529,'[id]];if(id!=',809,'+_e7-4){if(c.w!=null){_ed=c.w/img[0];}else{_ed*=',529,'[_e7]/',529,'[4]*',529,'[',809,']/',529,'[id];}}var w=img[0]*_ed;var h=img[1]*_ed;var d=-img[2]*_ed;var v;var _f2=(c.w==null||Math.abs(c.w-w)<0.01)?"":" margin-right:"+',686,'Em(c.w-w)+";";var _f3="";C=',503,'.HexCode[C];if(!_e9&&!',573,'scaleImg){if(2*w<h||(',593,'msieAlphaBug&&',573,'alpha)){_f3="height',':"+(img[1]*',593,'imgScale',')+"px;";}_f3+=" width:"+(img[0]*',593,854,')+"px;";v=-img[2]+"px";}else{if(2*w<h||(',593,'msieAlphaBug&&',573,851,':"+',686,'Em(h*',593,854,')+";";}_f3+=" width:"+',686,'Em(w*',593,854,')+";";v=',686,'Em(d);}var _f4=(Math.abs(d)<0.01&&!',593,'valignBug)?"":" ',627,'v+";";var URL=',503,'.URL(_e5,',529,'[id],C);if(',593,'msieAlphaBug&&',573,'alpha){','c.c="<img src=\\""+','jsMath.blank+"\\" "+"',631,593,'msieCenterBugFix+_f3+_f4+_f2','+" filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src="+"\'"+URL+"\', sizingMethod=\'scale\'"+");\\" />";}else{',888,'URL+"\\" ',631,593,892,'+"\\" />";}c.tclass="normal";c.img.bh=h+d;c.img.bd=-d;c.img.size=_e7;c.img.best=',809,';},Space',505,'w){',551,716,'html",',686,'Spacer(w),w,0,0);},Rule',505,634,'var _f9=',686,'Rule(w,h);',551,716,906,'_f9,w,h,0);},GetChar',505,'_fa,_fb){var c=',534,'_fb][_fa];','if(c.img!=null){this.TeXIMG(','_fb,_fa,4);}if(c.tclass',746,'tclass=_fb;}if(!c.computedW){c.w',725,720,'c.tclass,c.c)).w',';if(c.h==null){c','.h=jsMath.Box.defaultH;}if(',744,'c.computedW=1',664,'c;},DelimBestFit',505,'H,c,_ff,_100){if(c==0&&_ff','==0){return null;}','var C;var h;_ff','=jsMath.TeX.fam[','_ff];var isSS=(_100.charAt(1)=="S");var isS=(_100.charAt(0)=="S");while(c!=null){C=',534,'_ff][c];if(C.h==null){C',930,'C.d==null){C.d=0;}h=C.h+C.d;if(C.delim','){return [c,_ff',',"",H];}if(isSS&&0.5*h>=H',945,',"SS",0.5*h];}if(isS&&0.7*h>=H',945,',"S",0.7*h];}if(h>=H||C.n==null',945,',"T",h];}c=C.n',664,'null;},DelimExtendRelative',505,'H,c,font,a,','_109){var C=',534,'font][','c];var top=this.GetChar(C.delim.top?C.delim.top:C.delim.rep,font);var rep=this.GetChar(C.delim.rep,font);var bot=this.GetChar(C.delim.bot?C.delim.bot:C.delim.rep,font);','var ext=',720,'rep.tclass,rep.c);','var w=rep.w;var h=','rep.h+rep.d',';var y;var dx;','if(C.delim.mid){var mid=this.GetChar(C.delim.mid,font);var n=Math.ceil((H-(top.h+top.d)-(mid.h+mid.d',')-(','bot.h+bot.d','))/(2*(',965,')));H=2*n*(',965,')+(top.h+top.d)+(','mid.h+mid.d',')+(',969,');if(_109){y=0;}else{y=H/2+a;}var Y=y',';var html=',686,'Place(',720,'top.tclass,top.c),0,','y-top.h)+',686,981,720,'bot.tclass,bot.c),-(','top.w+bot.w)/2,y-(H-bot.d))+',686,981,720,'mid.tclass,mid.c','),-(bot.w+mid.w)/2,y-(H+mid.h-mid.d)/2);dx=(w-mid','.w)/2;if(Math.abs(dx)<0.0001){dx=0;}if(dx){html+=jsMath.HTML.Spacer(dx);}y-=top.h+top.d+rep.h;for(var i=0;i<n;i++){html+=jsMath.HTML.Place(ext,-w,y-i*h);}','y-=H/2-rep.h/2;',532,'n;i++){','html+=',686,981,'ext,-w,y-i*h);}}','else{var n=Math.ceil((H-(top.h+top.d)-(bot.h+bot.d','))/(',965,'));if(top.h+top.d<0.9*(',965,')){n=Math.max(1,n);}H=n*(',965,974,969,');if(_109){y=0;}else{y=H/2+a;}var Y=y',979,686,981,720,983,'y-top.h);dx=(w-top',995,999,686,981,720,988,'w+bot.w)/2,Y-(H-bot.d));}if(_109){h=top.h;}else{h=H/2+a;}','var box=new jsMath.Box("html",html,rep.w,h,H-h);box.bh=jsMath.TeX[font].h;box.bd=jsMath.TeX[font].d;return box;},','DelimExtendAbsolute',505,956,'_122){var Font=',534,'font];var ','C=Font[',960,967,'-0.05)-(',969,'-0.05))/(','2*(','rep.h+rep.d-0.05',')));H=2*n*(',1040,974,975,'-0.05)+(',969,'-0.05);html=','jsMath.HTML.PlaceAbsolute(',720,983,'0);var h=',1040,';var y=top.d-0.05+rep.h;var ext=',720,'font,rep.c);',532,'n;i++){',999,1048,'ext,0,y+i*h);}',999,1048,720,993,'),0,y+n*h-rep.h+mid.h);y+=n*h+',975,'-0.05;',532,'n;i++){',999,1048,'ext,0,y+i*h);}',999,1048,720,'bot.tclass,bot.c),0,y+n*h-rep.h+bot.h);}',1003,1038,1040,'));H=n*(',1040,974,969,'-0.05);html=',1048,720,983,'0);var h=',1040,';var y=top.d-0.05+rep.h;var ext=',720,963,532,'n;i++){',999,1048,'ext,0,y+i*h);}',999,1048,720,1076,'var w=top.w;if(_122){h=top.h;y=0;}else{h=H/2+a;y=h-top.h;}html=',686,'Absolute(html,w,','Font.h,"none",-y,top.h);',1026,'Delimiter',505,'H,_137,_138,_139){var size=4;var TeX=',722,'TeX(_138,size);if(!_137){',575,'Space(TeX.nulldelimiterspace);}','var ','CFSH=this.DelimBestFit(H,_137[','2],_137[1],_138);if(CFSH==null||CFSH[3]<H){',1115,'4],_137[3],_138);}if(CFSH==null){',575,1113,'if(CFSH[2]==""){',575,'DelimExtend(H,','CFSH[0],CFSH[1],','TeX.axis_height',',_139);}box=',708,'.TeX(',1124,'CFSH[2],size',').Styled();if(_139){box.y=-',534,'CFSH[1]].dh',736,'y=-((box.h+box.d)/2-box.d-',1125,');}',566,'box.y)<0.0001){box.y=0;}if(box.y','){box=jsMath.Box.SetList','([box],',1130,');}',738,'GetCharCode',505,'code){var font',939,'code[0]];var Font=',534,1032,'c=Font[code[1]];',922,'font,code[1],4);}if(c.w',746,'w',725,720,928,';}if(c.font',746,'font=font',664,'c;},AddClass',505,'_141,html',',font){if(_141==null){_141=font',664,720,1166,');},LayoutRelative',505,'size,_145,_146,_147,_148,_149){if(_146==null){_146=[];}if(_147==null){_147=[];}if(_148==null){_148=[];}var _14a=jsMath.sizes[size]/100',';var W=[];var H=[];var D=[];var ','_14e=-1000;var bh=_14e;var bd=_14e',';var i;var j;var row;for(i=0;i<','_145',547,'if(_148[i',']==null){','_148[i]=0;}row=_145','[i];H[i]=jsMath.h*','_14a',';D[i]=jsMath.d*','_14a',';for(j=0;j<','row.length;j++){row[j]=row[j].Remeasured();if(row[j].h>H[i]){H[i]=row[j].h;}if(row[j].d>D[i]){D[i]=row[j].d;}if(j>=W.length){W[j]=row[j].w;}else{if(row[j].w>W[j]){W[j]=row[j].','w;}}if(row[j].bh>bh){bh=row[j].bh;}if(row[j].bd>bd){bd=row[j].bd;}}}if(','_148[_145.length',1180,1189,']=0;}if(bh==_14e){bh=0;}if(bd==_14e){bd=0;}','var HD=(jsMath.hd-0.01)*','_14a;var dy=(_149||1)*_14a/6;','var html="";var ','pW=0;var cW=0;var w;var h;var y;var box;var _15d;var _15e',';for(j=0;j<W.length;j++){','_15d=[];y=-H[0]-_148[0];pW=0;for(i=0;i<_145',547,'_15e=_145[i][j];if(_15e&&_15e','.format!="null"){if(','_146[j]=="l"){w=0;}else{if(_146[j]=="r"){w=W[j]-_15e.w;}else{w=(W[j]-_15e.w)/2;}}_15e.x=w-pW;pW=_15e.w+w;_15e.y=y;_15d[_15d.length]=_15e;}if(i+1<_145',818,'y-=','Math.max(HD,D[i]+H[i+1])+dy+','_148[i+1];}}if(_147[j',1180,'_147[j]=_14a;}if(_15d.length>0',1140,'(_15d,"T",size);',999,686,981,'box.html,cW,0);cW=W[j]-box.w+_147[j];}else{cW+=_147[j];}}w=-','_147[W.length-1','];','y=(H.length-1)*dy+','_148','[0];for(i=0;i<','W',547,'w+=W[i]+_147[i];}for(i=0;i<H',547,'y+=Math.max(HD,H[i]+D[i])+','_148','[i+1];}h=y/2+jsMath.TeX.axis_height;var d=y-h;',999,686,'Spacer(cW-',1215,']+_14a/6);html=',686,981,'html,_14a/6,h);box=',716,'html",html,w+','_14a/3,h,d);box.bh=bh;box.bd=bd;',738,'LayoutAbsolute',505,'size,_161,_162,_163,_164,_165){if(_162==null){_162=[];}if(_163==null){_163=[];}if(_164==null){_164=[];}var _166=jsMath.sizes[size]/100;',1193,'_166;var dy=(_165||1)*_166/6',1174,'w=0;var h;var x;var y',1176,'_161',547,'if(_164[i',1180,'_164[i]=0;}row=_161',1182,'_166',1184,'_166',1186,1187,'w;}}}}if(','_164[_161.length',1180,1259,']=0;}',1217,'_164',1219,'H',547,1224,'_164',1226,1195,'_175;w=_166/6',1197,'y=H[0]-h+_164',1219,'_161',547,'_175=_161[i][j];if(_175&&_175',1201,'_162[j]=="l"){x=0;}else{if(_162[j]=="r"){x=W[j]-_175.w;}else{x=(W[j]-_175.w)/2;}}',999,1048,'_175.html,w+x,y-Math.max(0,_175.bh-jsMath.h*_166));}if(i+1<_161',818,'y+=',1205,'_164[i+1];}}if(_163[j',1180,'_163[j]=_166;}w+=W[j]+_163[j];}w=-_163[W.length-1]+_166/3;for(i=0;i<W',547,'w+=W[i]+_163[i];}html=',686,'Spacer(_166/6',')+html+',686,1293,');if(',593,'spanHeightVaries){y=h-jsMath.h;}else{y=0;}html=',686,1104,'h+d,d,y,H[0]);',729,716,1236,'_166/3,h,d);',738,'InternalMath',505,'text,size){if(!text.match(/\\$|\\\\\\(/)){',575,'Text(text,"normal","T",size).Styled();}var i=0;var k=0;var c;var _17c="";var _17d=[];var _17e;var html;var box;while(i<text',818,'c=text.charAt(i++);if(c','=="$"){if(_17c=="$"){','_17e=jsMath.Parse(text.slice(k,i-','1','),null,size);if(_17e.error){_17d[_17d.length]=this.Text(_17e.error,"error","T",size,1,0.2);}else{_17e.Atomize();_17d[_17d.length]=_17e.mlist.Typeset("T",size).Styled();}_17c="";k=i',';}else{','_17d[_17d.length]=this.Text(text.slice(k',',i-1','),"normal","T",size,1,0.2);','_17c="$";k=i;}}else{if(c=="\\\\"){',1314,'=="("&&_17c==""){',1320,',i-2',1322,'_17c=")";k=i;}else{if(c==")"&&_17c==")"){',1316,'2',1318,';}}}}}',1320,1322,575,'SetList(_17d,"T",size);},Set',505,'box',',_182,size',',_184){if(box&&box.type){','if(box.type=="typeset"){',551,'box;}if(box.type=="mlist"){box.mlist.Atomize(_182,size);',551,'box.mlist.Typeset(_182,size);}if(box.type=="text"){box=this.Text(box.text,',732,1340,',box.ascend,box.descend',');if(_184!=0){box.Styled();}return box;}','box=this.TeX(box.c,box.font',1340,1350,551,708,'.Null;},SetList',505,'_185,_186,size){var _188=[];var box;',532,'_185',547,'box=_185[i];',1342,'box=','jsMath.mItem','.Typeset(box);}_188[_188.length]=box;}var _18b=new jsMath.Typeset(_188);',551,'_18b.Typeset(_186,size);}});','jsMath.Package(jsMath.','Box,{Styled',524,'if(this.format=="text"){',711,720,'this.tclass',',this.html);',711,722,723,'this.style,this.size',1376,'delete this.','tclass;',1382,'style;this.format="html";}',551,'this;},Remeasured',524,'if(this.w>0&&!this.html.match(/position: ?absolute/)){this.w',725,'this.html).w',664,'this;}});',1365,709,'type,def){this.type=type;',521,'this,def);};',521,1365,',{Atom',505,'type,_18f','){return new jsMath.mItem','(type,{atom:1,nuc',':_18f});},TextAtom',505,'type,text,_192,a,d){var atom=new ',1365,1405,':{type:"text",text:text,tclass:_192}});if(a','!=null){atom.nuc.','ascend=a;}if(d',1412,'descend=d',664,'atom;},TeXAtom',505,'type,c,font',1404,1405,':{type:"TeX",c:c,font:font}});},Fraction',505,'name,num,den,_19c,left,_19e',1404,'("fraction",{from:name,num:num,den:den,thickness:_19c,left:left,right:_19e});},Space',505,'w',1404,'("space",{w:w});},Typeset',505,'box',1404,'("ord",{atom:1,nuc:box});},HTML',505,'html',1404,'("html",{html:html});}});jsMath.mList',709,'list,font,size,_1a5){if(list){','this.mlist','=list;}else{',1441,'=[];}if(_1a5==null){_1a5="T";}if(size==null){size=4;}this.data={openI:null,overI:null,overF:null,font:font,','size:size,style:_1a5','};this.init={',1445,'};};',1369,'mList,{Add',505,'box){return (',1441,'[','this.mlist.length',']=box);},Get',505,'i){',575,'mlist[i];},Length',524,551,1455,';},Last',524,'if(',1455,937,575,'mlist[',1455,'-1];},Range',505,'i,j){if(j==null){j=',1455,664,'new jsMath.mList','(',1441,'.slice(i,j+1));},Delete',505,1474,'i;}if(',1441,'.splice){',1441,'.splice(i,j-i+1);}else{var _1ac=[];for(var k=0;k<',1455,';k++){if(k<i||k>j){_1ac[_1ac.length]=',1441,'[k];}}',1441,'=_1ac;}},Open',505,'left){',729,'this.Add(new ',1365,'("boundary",{','data:this.data}));var _1b0=this.data;this.data={};for(var i in _1b0){this.data[i]=_1b0[i];}',1382,'data.overI;',1382,'data.overF;this.data.openI=',1455,'-1;if(left',734,'left=left;}',738,'Close',505,'_1b2){if(_1b2!=null){_1b2=new ',1365,1499,'right:_1b2});}var atom;var open=this.data.openI;','var over=this.data.overI;var from=this.data.overF;','this.data=',1441,'[open].data;if(over){','atom=jsMath.mItem.Fraction(from.name,{type:"mlist",mlist:this.Range(open+1,over-1)},{type:"mlist",mlist:this.Range(over)},from.thickness,from.left,from.right);','if(_1b2){var _1b7=',1477,'([',1441,'[open],atom,_1b2]);atom=',1365,'.Atom("inner','",{type:"mlist",mlist:','_1b7});}}else{var _1b8=open+1;if(_1b2){this.Add(_1b2);_1b8--;}atom=',1365,'.Atom((_1b2)?"inner":"ord',1528,'this.Range(_1b8)});}this.Delete(open,this.Length());',575,'Add(atom);},Over',524,1516,'var ',1520,1441,'=[atom];},Atomize',505,'_1bc,size){var _1be;var prev="";this.style=_1bc;this.size=size;',532,1441,'.lengt'],
  ['h;i++){','_1be','=','this.mlist','[i];',1,'.delta=0;','if(',1,'.type=="','choice"){',3,'=this.Atomize.choice(','this.style',',',1,',i,',3,');i--;}','else{if(','this.Atomize[_1be.type',']){var f=',20,'];f(',13,',','this.size',',',1,',prev,this,i);}}prev=',1,';}if(',1,'&&',1,9,'bin"){',1,'.type="ord";}','if(',3,'.length>=2&&',1,9,'boundary"&&',3,'[0].type=="boundary"){this.','AddDelimiters','(_1bc,size);}},',47,':function(','_1c2,size){var _1c4=-10000;var h=_1c4;var d=_1c4;for(var i=0;i<',3,'.length;i++){','mitem=',3,4,'if(mitem.atom||mitem',9,'box"){h','=Math.max(','h,','mitem.nuc.','h+',62,'y);d',60,'d,',62,'d-',62,'y);}}var TeX','=jsMath.TeX',';var a=','jsMath.Typeset.','TeX(_1c2,size).axis_height;var _1ca',60,'h-a,d+a);var H',60,'Math.floor(','TeX.integer','*_1ca/500)*TeX.delimiterfactor,',80,'*(2*_1ca-TeX.delimitershortfall))/',80,';var left=',3,'[0];var _1cd=',3,'[',3,'.length-1];left.nuc','=jsMath.Box.','Delimiter(H,','left.left',',_1c2);_1cd.nuc',92,93,'_1cd.right',',_1c2);left.type="open";left','.atom=1;delete ',94,';_1cd.type="close";_1cd',100,98,';},Typeset',50,'_1ce,size){var _1d0=new ','jsMath.Typeset','(',3,');return _1d0.Typeset(_1ce,size);}});jsMath.Add(jsMath.mList.prototype.Atomize,{style',50,'_1d1,size,_1d3,prev,_1d5){_1d5.style=_1d3.style;},size',50,'_1d6,size,_1d8,prev,_1da){_1da.size=_1d8.size;},phantom',50,'_1db,size,_1dd){','var box','=_1dd.nuc',92,'Set(','_1dd.phantom',',_1db',',size);','if(_1dd.h){box','.Remeasured();','box','.html=','jsMath.HTML.','Spacer(','box.w);}else{','box.html="",box.w=0;}if(!_1dd.v){','box.h=box.d=','0;}','box.bd=box.bh=0;delete ',122,';_1dd','.type="box";},','smash',50,'_1df,size,_1e1){',118,'=_1e1.nuc',92,121,'_1e1.smash',',_1df,','size).Remeasured();',133,135,146,';_1e1',138,'raise',50,'_1e3,size,_1e5){','_1e5.nuc',92,121,157,',_1e3',',size);var ','y=_1e5.raise;',157,128,129,'Place(',157,'.html,0,y);',157,'.h+=y;',157,'.d-=y;_1e5','.type="ord";','_1e5.atom=1;},lap',50,'_1e7,size,_1e9){',118,92,121,'_1e9.nuc',',_1e7,',148,'var _1eb=[box];','if(_1e9.lap=="','llap"){','box.x=-box.w',';}else{',185,'rlap"){_1eb[1]=','jsMath.mItem.Space','(-',131,185,'ulap"){box.y=box.d;',133,'0',188,185,'dlap"){box.y=-box.h;',133,'0;}}}}',181,92,'SetList','(_1eb,_1e7',124,185,'ulap"||_1e9.lap=="dlap"){',181,'.h=',181,'.d=0;}_1e9.type="box";delete _1e9.atom;},bin',50,'_1ec,size,_1ee',',prev){if(prev','){var type=prev.type;if(type=="bin','"||type=="','op',218,'rel',218,'open',218,'punct"||type==""||(type=="',44,'prev.left!="")){_1ee.type="ord";}}else{_1ee',38,'jsMath.mList.prototype.Atomize.SupSub(',215,');},rel',50,'_1f1,size,_1f3',216,9,36,'prev',38,229,233,');},close',50,'_1f5,size,_1f7',216,9,36,'prev',38,229,243,');},punct',50,'_1f9,size,_1fb',216,9,36,'prev',38,229,253,');},open',50,'_1fd,size,_1ff','){',229,263,');},inner',50,'_200,size,_202','){',229,269,');},','vcenter',50,'_203,size,_205','){',118,92,121,'_205.nuc,_203',162,'TeX=',74,'TeX(_203',124,'box.y=','TeX.axis_height','-(box.h-box.d)/2;_205.nuc=box;_205',174,229,276,');},','overline',50,'_208,size,_20a','){var TeX=',74,'TeX(_208',162,'box',92,121,'_20a.nuc',',',74,'PrimeStyle','(_208),',148,'var t=','TeX.default_rule_thickness',';var rule',92,'Rule(box.w,t);rule.x=-rule.w;rule.y','=box.h+3*t;',304,92,'SetList([box,','rule],_208',124,304,'.h+=t;_20a',174,229,296,');},','underline',50,'_20f,size,_211','){var TeX=',74,'TeX(_20f',162,'box',92,121,'_211.nuc',',',74,307,'(_20f),',148,310,311,';var rule',92,314,'=-box.d-3*t-t;',337,92,318,'rule],_20f',124,337,'.d+=t;_211',174,229,329,');},radical',50,'_216,size,_218','){var TeX=',74,'TeX(_216',162,'Cp=',74,307,'(_216);',118,92,121,'_218.nuc,Cp,',148,310,311,';var p=t;if(_216=="D"||_216=="D\'"){p=TeX.x_height;}var r=t+p/4;var surd',92,'Delimiter(','box.h+box.d','+r+t,[0,2,112,3,112],_216,1);t=surd.h;if(surd.d>',380,'+r){r=(r+surd.d-box.h-box.d)/2;}surd.y=box.h+r;var rule',92,'Rule(box.w,t);rule.y=surd.y-t/2;rule.h+=3*t/2;',187,';var Cr=',74,'UpStyle(',74,389,'_216));var root',92,121,'_218.root,Cr,',148,'if(_218.root){root.y=0.55*(',380,'+3*t+r)-box.d;surd.x',60,'root.w-(11/18)*surd.w,0);rule.x=(7/18)*surd.w;root.x=-(root.w+rule.x);}_218.nuc',92,205,'([surd,root,rule,box],_216',124,'_218',174,229,361,');},accent',50,'_223,size',',_225){var TeX=',74,'TeX(_223',162,'Cp=',74,307,'(_223);',118,92,121,'_225.nuc',',Cp',162,'u=box.w;var s;var Font;if(',424,9,'TeX"){Font',72,'[',424,'.font];if(Font[',424,'.c].krn&&Font.skewchar){s=Font[',424,'.c].krn[Font.skewchar];}}if(s==null){s=0;}var c=_225.accent[2];var font',72,'.fam[_225.accent[1]];Font',72,'[font];while(Font[c].n&&Font[Font[c].n].w<=u){c=Font[c].n;}var _22e=Math.min(box.h,TeX.','x_height);','if(',424,9,'TeX"){var ','_22f=jsMath.mItem.Atom("ord",',424,');_22f.sup=_225.sup;_22f.sub=_225.sub;_22f',6,229,412,',_22f);_22e+=(_22f.nuc.h-box.h);box=',424,'=_22f.nuc;delete _225.sup;delete _225.sub;}var acc',92,'TeX(c,font,',412,');acc.y=box.h-_22e;acc.x=-box.w+s+(u-acc.w)/2;if(Font[c].ic){acc.x-=Font[c].ic*TeX.scale;}',424,92,318,'acc],',412,');if(',424,'.w!=box.w){var _231=',191,'(box.w-',424,'.w);',424,92,205,'([',424,',_231],',412,');}_225',174,229,412,',_225);},op',50,'_232,size,_234','){var TeX=',74,'TeX(_232',162,'box;_234',6,'var isD=(_232','.charAt(0)=="','D");if','(_234.limits','==null&&isD){_234.limits=1;}if(','_234.nuc',9,447,'C',72,'[_234.nuc.font][',498,'.c];if(isD&&C.n){',498,'.c=C.n;C',72,503,'C.n];}box',92,'Set(_234.nuc,_232,size',');if(C.ic){_234','.delta=C.ic*TeX.scale;if',496,'||!_234.sub||','jsMath.Browser.msieIntegralBug','){box',92,318,191,'(_234.delta)],','_232,size);}}','box.y=-((',380,')/2-box.d-',288,');if(Math.abs(box.y)<0.0001){box.y=0;}}if(!box){box',92,512,').Remeasured();}if',496,'){var W=box.w;var x=box.w;var _23b=[box];var dh=0;var dd=0;if(_234.sup){var sup',92,121,'_234.sup,',74,389,'_232),',148,'sup.x=((box.w-sup.w)/2+','_234.delta/2)-x;','dh=TeX.big_op_spacing5;W',60,'W,sup.w);x+=sup.x+sup.w;sup.y=box.h+sup.d+box.y+Math.max(TeX.big_op_spacing1,TeX.big_op_spacing3-sup.d);','_23b[_23b.length]=','sup;delete _234.sup;}if(_234.sub){var sub',92,121,'_234.sub,',74,'DownStyle','(_232),',148,'sub.x=((box.w-sub.w)/2-',542,'dd=TeX.big_op_spacing5;W',60,'W,sub.w);x+=sub.x+sub.w;sub.y=-box.d-sub.h+box.y-Math.max(TeX.big_op_spacing2,TeX.big_op_spacing4-sub.h);',546,'sub;delete _234.sub;}if(W>box.w){box.x=(W-box.w)/2;x+=box.x;}if(x<W){',546,191,'(W-x);}',498,92,205,'(_23b,_232',124,498,'.h+=dh;',498,'.d+=dd;}',19,517,'&&_234.sub&&C&&C.ic){',498,92,318,'jsMath.Box.','Space(-C.ic*TeX.scale)],_232,size);}',19,'box.y){',498,92,205,'([box],',523,229,486,');}},ord',50,'_240,size,_242',',prev,_244,i){if(_242.nuc',9,'TeX"&&!_242.sup&&!_242.sub){var _246=','_244.mlist[','i+1];if(_246&&_246.atom&&_246.type&&(_246',9,'ord"||_246',9,'op"||_246',9,'bin"||_246',9,'rel"||_246',9,'open"||_246',9,'close"||_246',9,'punct")){if(_246.nuc',9,'TeX"&&_246.nuc.font==_242.nuc.font){_242.textsymbol=1;var krn',72,'[_242.nuc.font][_242.nuc.c].krn;krn*=',74,'TeX(_240,size).scale;if(krn&&krn[_246.nuc.c]){for(var k=_244.mlist.length-1;k>i;k--){',597,'k+1]=',597,'k];}',597,'i+1]=',191,'(krn[_246.nuc.c]);}}}}',229,593,');},fraction',50,'_249,size,_24b','){var TeX=',74,'TeX(_249',162,'t=0;if(_24b.thickness!=null){t=_24b.thickness;}',19,'_24b.from.match(/over/)){t=',311,';}}var isD=(_249',494,'D");var Cn=(_249=="D")?"T":(_249=="D\'")?"T\'":',74,389,'_249);var Cd=(isD)?"T\'":',74,552,'(_249);var num',92,121,'_24b.num,Cn,',148,'var den',92,121,'_24b.den,Cd,',148,'var u;var v;var w;var H=(isD)?TeX.delim1:TeX.delim2;var _257=[',580,93,'_24b.left,_249)];var _258',92,93,'_24b.right,_249);if(num.w<den.w){num.x=(den.w-num.w)/2;den.x=-(num.w+num.x);w=den.w;_257[1]=num;_257[2]=den',188,'den.x=(num.w-den.w)/2;num.x=-(den.w+den.x);w=num.w;_257[1]=den;_257[2]=num;}if(isD){u=TeX.num1;v=TeX.denom1',188,'u=(t!=0)?TeX.num2:TeX.num3;v=TeX.denom2;}if(t==0){var p=(isD)?7*',311,':3*',311,';var r=(u-num.d)-(','den.h-v);if(r<p){','u+=(p-r)/2;v+=(p-r)/2;}}else{var p=(isD)?3*t:t',73,288,672,'a+t/2);if(r<p){u+=p-r;}r=(a-t/2)-(',673,'v+=p-r;}var rule',92,'Rule(w,t);rule.x=-w;rule.y=a-t/2',';_257[_257.length]=','rule;}num.y=u;den.y=-v',683,'_258;_24b.nuc',92,205,'(_257,_249',124,'_24b',174,'_24b',100,'_24b.num;delete _24b.den;',229,631,');},SupSub',50,'_25f,size,_261){var TeX=',74,'TeX(_25f',162,'nuc=','_261.nuc',';',118,'=',705,92,121,705,',_25f,size,0);if(box.format=="null"){box=',705,92,'Text("","normal",','_25f,size);}','if(nuc',9,'TeX"){if(!_261.textsymbol){var C',72,'[nuc.font][nuc.c];if(C.ic){_261',514,'(!_261.sub){','box=',705,92,318,580,'Space(','_261.delta',')],_25f',124,731,'=0;}}}else{',731,'=0;}}if(!_261.sup&&!_261.sub){return;}',705,'.Styled();var Cd=',74,552,'(_25f);var Cu=',74,389,'_25f);var q=',74,'TeX(Cu,size).','sup_drop;var r=',74,'TeX(Cd,size).','sub_drop;var u=0;var v=0;var p;if(nuc.type&&nuc.type!="text"&&nuc.type!="TeX"&&nuc.type!="null"){u=box.h-q;v=box.d+r;}if(_261.sub){var sub',92,121,'_261.sub,Cd',124,'sub',92,205,'([sub,',191,'(TeX.scriptspace)],_25f,size',');}if(!_261.sup){sub.y=-Math.max(v,TeX.sub1,sub.h-(4/5)*',74,750,443,705,92,318,'sub],_25f,size).Styled();','delete _261.','sub;return;}var sup',92,121,'_261.sup,Cu',124,'sup',92,205,'([sup,',191,761,');if(_25f=="D"){p=TeX.sup1;}',19,'_25f','.charAt(','_25f','.length-1)=="\'"){','p=TeX.sup3',188,'p=TeX.sup2;}}u',60,'u,p,sup.d+',74,747,'x_height/4);if',724,'sup.y=u;',705,92,318,'sup],_25f',124,770,'sup;return;}v',60,'v,',74,750,'sub2);',310,311,';if((u-sup.d)-(sub.h-v)<4*t){v=4*t+sub.h-(u-sup.d);p=(4/5)*TeX.x_height-(u-sup.d);if(p>0){u+=p;v-=p;}}sup',126,'sub',126,797,'sub.y=-v;sup.x=',731,';if(sup.w+sup.x>sub.w){sup.x-=sub.w;',705,92,318,'sub,sup],',717,'else{sub.x-=(sup.w+sup.x);',705,92,318,'sup,sub],',717,770,'sup;',770,'sub;}});',108,'=function(_270){this.type="typeset";',3,'=_270;};jsMath.Add(',108,',{upStyle:{D:"S",T:"S","','D\'":"S\'","T\'":"S\'",S:"SS','",SS:"SS","','S\'":"SS\'","SS\'":"SS\'"},','downStyle:{D:"S\'",T:"S\'","',841,'\'",SS:"SS\'","',843,'UpStyle',50,'_271){return this.upStyle[_271];},',552,50,'_272){return this.downStyle[_272];},',307,50,'_273){if(_273',785,'_273',787,'return _273;}return _273+"\'";},StyleValue',50,'_274,v){if(_274=="S"||_274=="S\'"){return 0.7*v;}if(_274=="SS"||_274=="SS\'"){return 0.5*v;}return v;},StyleSize',50,'_276,size){if(_276=="S"||_276=="S','\'"){size=Math.max(0,size-','2);}',19,'_276=="SS','"||',868,865,'4);}}return ','size;},TeX',50,'_278,size){if(_278=="S"||_278=="S',865,'2);}',19,'_278=="SS','"||',879,865,872,'jsMath.TeXparams[size];},AddStyle',50,'_27a,size,html){if(_27a=="S"||_27a=="S',865,'2);}',19,'_27a=="SS','"||',890,865,'4);}}if(size!=4){html="<span class=\\"size"+size+"\\">"+html+"</span>";}return html;},AddClass',50,'_27d,html){if(_27d!=""&&_27d!="normal"){html=',129,'Class(_27d,html);}return html',';}});jsMath.','Package(',108,',{DTsep:{ord',':{op:1,bin:2,rel:3,inner:1},','op',':{ord:1,op:1',',rel:3,inner:1},bin:{ord:2,op:2,open:2,inner:2},rel:{ord:3,op:3,open:3,inner:3},open:{},close',903,'punct',905,',rel:1,open:1,close',':1,punct:1,inner:1','},inner',905,',bin:2,rel:3,open',911,'}},SSsep:{ord:{op:1},op',905,'},bin:{},rel:{},open:{},close:{op:1},punct:{},inner:{op:1}},sepW:["","thinmuskip","medmuskip","thickmuskip"],','GetSeparation',50,'l,r,_281){if(l&&l.atom&&r.atom){var _282=this.DTsep;if(_281',494,'S"){_282=this.SSsep;}var row=_282[l.type];if(row&&row[r.type]!=null){return jsMath.TeX[this.sepW[row[r.type]]];}}return 0;},Typeset',50,'_284,size){',13,'=_284;',26,'=size;var _286=-10000;this.w=0;this.h=_286;this.d=_286;this.bh=this.h;this.bd=this.d;','this.tbuf','="";this.','tx=0;','this.tclass','="";','this.cbuf',931,'hbuf',931,'hx=0;var _287=null;var prev;this.x=0;this.dx=0;for(var i=0;i<',3,53,'prev=_287;_287=',3,4,'switch(_287.type){case "size":','this.FlushClassed();',26,'=_287.size;','_287=prev;break;case "','style":',946,'if(',13,785,13,787,13,'=_287.style','+"\'";}else{',13,958,';}',949,'space":if(typeof (_287.w)=="object"){if(',13,785,'1)=="','S"){_287.w=0.','5*','_287.w[0]/18',';}',19,13,494,968,'7*',970,188,'_287.w=',970,';}}}this.dx+=_287.w-0;',949,'html":',946,'if(this.hbuf==""){this.hx=this.','x;}','this.hbuf+=','_287.html;_287=prev;break;default:if(!_287.atom&&_287.type!="box"){break;}','_287.nuc.','x+=this.dx+this.',919,'(prev,_287,',13,');if(',989,'y||',989,'x){',989,'Styled();}this.dx=0;this.x=this.x+this.w;this.w+=',989,'w+',989,'x;if(',989,'format=="text"){if(',933,'!=',989,'tclass','&&',933,'!=""){this.FlushText();}if(',930,'==""&&',935,'==""){this.tx=this.x;}',930,'+=',989,'html;',933,'=',989,1010,188,946,'if(',989,'x||',989,'y){this.Place(_287.nuc);}',985,'x;}',987,989,'html;}this.h',60,'this.h,',989,'h+',989,'y);this.bh',60,'this.bh,',989,'bh);this.d',60,'this.d,',989,'d-',989,'y);this.bd',60,'this.bd,',989,'bd);break;}}',946,'if(this.dx){',987,129,130,'this.dx);this.w+=this.dx;}if(this.hbuf==""){return ',580,'Null;}if(this.h==_286){this.h=0;}if(this.d==_286){this.d=0;}',118,'=new jsMath.','Box("html",this.hbuf,this.w,this.h,this.d);box.bh=this.bh;box.bd=this.bd;return box;},FlushText:function(){if(',930,'==""){return;}',935,'+=',74,'AddClass(',933,',',930,');',930,'="";',933,'="";},FlushClassed:function(){this.FlushText();if(',935,1070,985,'tx;}',987,74,'AddStyle(',13,',',26,',',935,');',935,'="";},Place',50,'item){var ','html="<span style=\\"position: relative',';";if(item.x){html+=" margin-left:"+',129,'Em(item.x)+";";}if(item.y){html+=" top:"+',129,'Em(-item.y',')+";";}item',128,'html+"\\">"+','item.html+"</span','>";','item.h+=item.y;item.d-=item.y;item.x=0;item.y=0',';},PlaceSeparateSkips',50,'item){if(item.y){item.',1100,'; "+"top:"+',129,1105,')+";"+"\\">"+',1109,'>";}if(item.x){item',128,129,130,'item.x)+item.html;}',1111,899,'Parse','=function(s,font,size,','_291){var _292=new ','jsMath.Parser','(s,font,size,_291);_292.Parse();return _292;};',1131,1129,'_296){this.string=s;this.i=0;',3,1067,'mList(null,font,size,_296);};jsMath.Package(',1131,',{cmd:"\\\\",open:"{",close:"}",letter:/[a-z]/i,number:/[0-9]/,scriptargs:/^((math|text)..|mathcal|[hm]box)$/,mathchar:{"!":[5,0,33],"(":[4,0,40],")":[5,0,41],"*":[2,2,3],"+":[2,0,43],",":[6,1,59],"-":[2,2,0],".":[0,1,58],"/":[0,1,61],":":[3,0,58],";":[6,0,59],"<":[3,1,60],"=":[3,0,61],">":[3,1,62],"?":[5,0,63],"[":[4,0,91],"]":[5,0,93],"|":[0,2,106]},special:{"~":"Tilde","^":"HandleSuperscript","_":"HandleSubscript"," ":"Space","\\x01','":"Space","\\','t',1141,'r',1141,'n":"Space","\'":"Prime","%":"HandleComment","&":"HandleEntry"},mathchardef:{braceld:[0,3,122],bracerd:[0,3,123],bracelu:[0,3,124],braceru:[0,3,125],alpha:[0,1,11],beta:[0,1,12],gamma:[0,1,13],delta:[0,1,14],epsilon:[0,1,15],zeta:[0,1,16],eta:[0,1,17],theta:[0,1,18],iota:[0,1,19],kappa:[0,1,20],lambda:[0,1,21],mu:[0,1,22],nu:[0,1,23],xi:[0,1,24],pi:[0,1,25],rho:[0,1,26],sigma:[0,1,27],tau:[0,1,28],upsilon:[0,1,29],phi:[0,1,30],chi:[0,1,31],psi:[0,1,32],omega:[0,1,33],varepsilon:[0,1,34],vartheta:[0,1,35],varpi:[0,1,36],varrho:[0,1,37],varsigma:[0,1,38],varphi:[0,1,39],Gamma:[7,0,0],Delta:[7,0,1],Theta:[7,0,2],Lambda:[7,0,3],Xi:[7,0,4],Pi:[7,0,5],Sigma:[7,0,6],Upsilon:[7,0,7],Phi:[7,0,8],Psi:[7,0,9],Omega:[7,0,10],aleph:[0,2,64],imath:[0,1,123],jmath:[0,1,124],ell:[0,1,96],wp:[0,1,125],Re:[0,2,60],Im:[0,2,61],partial:[0,1,64],infty:[0,2,49],prime:[0,2,48],emptyset:[0,2,59],nabla:[0,2,114],surd:[1,2,112],top:[0,2,62],bot:[0,2,63],triangle:[0,2,52],forall:[0,2,56],exists:[0,2,57],neg:[0,2,58],lnot:[0,2,58],flat:[0,1,91],natural:[0,1,92],sharp:[0,1,93],clubsuit:[0,2,124],diamondsuit:[0,2,125],heartsuit:[0,2,126],spadesuit:[0,2,127],coprod:[1,3,96],bigvee:[1,3,87],bigwedge:[1,3,86],biguplus:[1,3,85],bigcap:[1,3,84],bigcup:[1,3,83],intop:[1,3,82],prod:[1,3,81],sum:[1,3,80],bigotimes:[1,3,78],bigoplus:[1,3,76],bigodot:[1,3,74],ointop:[1,3,72],bigsqcup:[1,3,70],smallint:[1,2,115],triangleleft:[2,1,47],','triangleright',':[2,1,46],bigtriangleup:[2,2,52],bigtriangledown:[2,2,53],wedge:[2,2,94],land:[2,2,94],vee:[2,2,95],lor:[2,2,95],cap:[2,2,92],cup:[2,2,91],ddagger:[2,2,122],dagger:[2,2,121],sqcap:[2,2,117],sqcup:[2,2,116],uplus:[2,2,93],amalg:[2,2,113],diamond:[2,2,5],bullet:[2,2,15],wr:[2,2,111],div:[2,2,4],odot:[2,2,12],oslash:[2,2,11],otimes:[2,2,10],ominus:[2,2,9],oplus:[2,2,8],mp:[2,2,7],pm:[2,2,6],circ:[2,2,14],bigcirc:[2,2,13],setminus:[2,2,110],cdot:[2,2,1],ast:[2,2,3],times:[2,2,2],star:[2,1,63],propto:[3,2,47],sqsubseteq:[3,2,118],sqsupseteq:[3,2,119],parallel:[3,2,107],mid:[3,2,106],dashv:[3,2,97],vdash:[3,2,96],leq:[3,2,20],le:[3,2,20],geq:[3,2,21],ge:[3,2,21],succ:[3,2,31],prec:[3,2,30],approx:[3,2,25],succeq:[3,2,23],preceq:[3,2,22],supset:[3,2,27],subset:[3,2,26],supseteq:[3,2,19],subseteq:[3,2,18],"in":[3,2,50],ni:[3,2,51],owns:[3,2,51],gg:[3,2,29],ll:[3,2,28],not:[3,2,54],sim:[3,2,24],simeq:[3,2,39],perp:[3,2,63],equiv:[3,2,17],asymp:[3,2,16],smile:[3,1,94],frown:[3,1,95],Leftrightarrow:[3,2,44],Leftarrow:[3,2,40],Rightarrow:[3,2,41],leftrightarrow:[3,2,36],leftarrow:[3,2,32],gets:[3,2,32],rightarrow:[3,2,33],to:[3,2,33],mapstochar:[3,2,55],leftharpoonup:[3,1,40],','leftharpoondown',':[3,1,41],rightharpoonup:[3,1,42],rightharpoondown:[3,1,43],nearrow:[3,2,37],searrow:[3,2,38],nwarrow:[3,2,45],swarrow:[3,2,46],hbarchar:[0,0,22],lhook:[3,1,44],rhook:[3,1,45],ldotp:[6,1,58],cdotp:[6,2,1],colon:[6,0,58],"#":[7,0,35],"$":[7,0,36],"%":[7,0,37],"&":[7,0,38]},delimiter:{"(":[0,0,40,3,0],")":[0,0,41,3,1],"[":[0,0,91,3,2],"]":[0,0,93,3,3],"<":[0,2,104,3,10],">":[0,2,105,3,11],"/":[0,0,47,3,14],"|":[0,2,106,3,12],".":[0,0,0,0,0],"\\\\":[','0,2,110,3,15],"\\\\','lmoustache":[4,3,122,3,64],"\\\\rmoustache":[5,3,123,3,65],"\\\\lgroup":[4,6,40,3,58],"\\\\rgroup":[5,6,41,3,59],"\\\\arrowvert','":[0,2,106,3,','60],"\\\\Arrowvert":[0,2,107,3,61],"\\\\bracevert',1153,'62],"\\\\Vert":[0,2,107,3,13],"\\\\|":[0,2,107,3,13],"\\\\vert',1153,'12],"\\\\uparrow":[3,2,34,3,120],"\\\\downarrow":[3,2,35,3,121],"\\\\updownarrow":[3,2,108,3,63],"\\\\Uparrow":[3,2,42,3,126],"\\\\Downarrow":[3,2,43,3,127],"\\\\Updownarrow":[3,2,109,3,119],"\\\\backslash":[',1151,'rangle":[5,2,105,3,11],"\\\\langle":[4,2,104,3,10],"\\\\rbrace":[5,2,103,3,9],"\\\\lbrace":[4,2,102,3,8],"\\\\}":[5,2,103,3,9],"\\\\{":[4,2,102,3,8],"\\\\rceil":[5,2,101,3,7],"\\\\lceil":[4,2,100,3,6],"\\\\rfloor":[5,2,99,3,5],"\\\\lfloor":[4,2,98,3,4],"\\\\lbrack":[0,0,91,3,2],"\\\\rbrack":[0,0,93,3,3]},macros:{displaystyle',':["HandleStyle","','D"],textstyle',1161,'T"],scriptstyle',1161,'S"],scriptscriptstyle',1161,'SS"],rm',':["HandleFont",','0],mit',1169,'1],oldstyle',1169,'1],cal',1169,'2],it',1169,'4],bf',1169,'6],font',':["Extension","','font"],left:"HandleLeft",right:"HandleRight",arcsin',':["NamedOp",0],','arccos',1183,'arctan',1183,'arg',1183,'cos',1183,'cosh',1183,'cot',1183,'coth',1183,'csc',1183,'deg',1183,'det',':"NamedOp",','dim',1183,'exp',1183,'gcd',1203,'hom',1183,'inf',1203,'ker',1183,'lg',1183,'lim',1203,'liminf',':["NamedOp",null,"lim<span style=\\"margin-left: "+1/6+"em\\"></span>','inf"],limsup',1221,'sup"],ln',1183,'log',1183,'max',1203,'min',1203,'Pr',1203,'sec',1183,'sin',1183,'sinh',1183,'sup',1203,'tan',1183,'tanh',1183,274,':["HandleAtom","',274,'"],',294,1247,294,'"],',327,1247,327,'"],over',':"HandleOver",','overwithdelims',1258,'atop',1258,'atopwithdelims',1258,'above',1258,'abovewithdelims',1258,'brace',':["HandleOver','","\\\\{","\\\\}"],brack',1270,'","[","]"],choose',1270,'","(",")"],overbrace',1181,'leaders"],','underbrace',1181,1277,'overrightarrow',1181,1277,'overleftarrow',1181,1277,'overset',1181,'underset-overset"],','underset',1181,1289,'llap',':"HandleLap",','rlap',1294,'ulap',1294,'dlap',1294,'raise:"RaiseLower",lower:"RaiseLower",moveleft',':"MoveLeftRight",','moveright',1302,'frac:"Frac",root:"Root",sqrt:"Sqrt",hbar',':["Macro","\\\\','hbarchar\\\\kern-.5em h"],ne',1306,'not="],neq',1306,'not="],notin',1306,'mathrel{\\\\','rlap{\\\\kern2mu/}}\\\\in"],cong',1306,1313,'lower2mu{\\\\','mathrel','{{\\\\rlap{=}\\\\raise6mu\\\\sim}}}}"],bmod',1306,'mathbin{\\\\rm mod}"],pmod',1306,'kern 18mu ({\\\\rm mod}\\\\,\\\\,#1)",1],"int":["Macro","\\\\intop\\\\nolimits"],oint',1306,'ointop\\\\nolimits"],doteq',1306,'buildrel\\\\textstyle.\\\\over="],ldots',1306,'mathinner{\\\\','ldotp\\\\ldotp\\\\ldotp}"],cdots',1306,1329,'cdotp\\\\cdotp\\\\cdotp}"],vdots',1306,1329,'rlap{\\\\raise8pt{.\\\\rule 0pt 6pt 0pt}}\\\\rlap{\\\\raise4pt{.}}.}"],ddots',1306,1329,'kern1mu\\\\raise7pt{\\\\rule 0pt 7pt 0pt .}\\\\kern2mu\\\\raise4pt{.}\\\\kern2mu\\\\raise1pt{.}\\\\kern1mu}"],joinrel',1306,1313,'kern-4mu}"],relbar',1306,1313,'smash-}"],','Relbar',1306,1318,'="],bowtie',1306,1318,'\\\\',1147,'\\\\joinrel\\\\',1318,'\\\\triangleleft"],models',1306,1318,'|\\\\joinrel="],mapsto',1306,'mapstochar\\\\','rightarrow"],rightleftharpoons',1306,274,'{\\\\',1313,'rlap{\\\\raise3mu{\\\\rightharpoonup}}}\\\\',1149,'}"],hookrightarrow',1306,'lhook\\\\','joinrel\\\\rightarrow"],','hookleftarrow',1306,'leftarrow\\\\joinrel\\\\','rhook"],Longrightarrow',1306,1346,1354,'Rightarrow"],','longrightarrow',1306,'relbar\\\\',1372,'longleftarrow',1306,1375,'relbar"],Longleftarrow',1306,'Leftarrow\\\\joinrel\\\\',1346,'"],longmapsto',1306,1361,'char{cmsy10}{0}\\\\',1372,'longleftrightarrow',1306,'leftarrow\\\\',1372,'Longleftrightarrow',1306,1390,1380,'iff:["Macro","\\\\;\\\\',1401,'\\\\;"],mathcal',':["Macro","{\\\\','cal #1}",1],mathrm',1408,'rm #1}",1],mathbf',1408,'bf #1}",1],','mathbb',1408,1413,'mathit',1408,'it #1}",1],textrm',1306,'mathord{\\\\hbox{#1}}",1],','textit',1306,'mathord{\\\\class{',1422,'}{\\\\hbox{#1}}}",1],','textbf',1306,1424,1427,1426,'TeX:["Macro","T\\\\kern-.1667em\\\\lower.5ex{E}\\\\kern-.125em X"],limits:["Limits",1],nolimits:["Limits",0],",":["Spacer",1/6],":":["Spacer",1/6],">":["Spacer",2/9],";":["Spacer",5/18],"!":["Spacer",-1/6],enspace',':["Spacer",','1/2],quad',1433,'1],qquad',1433,'2],thinspace',1433,'1/6],negthinspace:["Spacer",-1/6],hskip:"Hskip",kern:"Hskip",rule:["Rule","colored"],space:["Rule","blank"],big',':["MakeBig","','ord",0.85],Big',1441,'ord",1.','15],bigg',1441,1444,'45],Bigg',1441,1444,'75],bigl',1441,'open",0.85],Bigl',1441,'open",1.','15],biggl',1441,1455,'45],Biggl',1441,1455,'75],bigr',1441,'close",0.85],Bigr',1441,'close",1.','15],biggr',1441,1466,'45],Biggr',1441,1466,'75],bigm',1441,'rel",0.85],Bigm',1441,'rel",1.','15],biggm',1441,1477,'45],Biggm',1441,1477,'75],mathord',1247,'ord"],mathop',1247,'op"],mathopen',1247,'open"],mathclose',1247,'close"],mathbin',1247,'bin"],',1318,1247,'rel"],mathpunct',1247,'punct"],mathinner',1247,'inner"],','mathchoice',1181,1502,'"],buildrel:"BuildRel",hbox:"HBox",text:"HBox",mbox:"HBox",fbox',1181,'fbox"],strut:"Strut",mathstrut',1306,'vphantom{(}"],phantom',':["Phantom",','1,1],vphantom',1510,'1,0],hphantom',1510,'0,1],smash:"Smash",acute',':["MathAccent",[7,0,','19]],grave',1516,'18]],ddot',1516,'127]],tilde',1516,'126]],bar',1516,'22]],breve',1516,'21]],check',1516,'20]],hat',1516,'94]],vec',':["MathAccent",[0,','1,126]],dot',1516,'95]],widetilde',1532,'3,101]],widehat',1532,'3,98]],"_":["','Replace","ord','","_","normal",-0.4,0.1]," ":["',1540,'","&nbsp;","normal"],angle:["',1540,'","&#x2220;","normal"],matrix:"Matrix",array:"Matrix",pmatrix:["Matrix","(",")","c"],cases:["Matrix","\\\\{",".",["l","l"],null,2],eqalign',':["Matrix",null,null,["','r","l"],[5/18],3,"D"],displaylines',1546,'c"],null,3,"D"],cr:"HandleRow","\\\\":"HandleRow",noalign:"HandleNoAlign",eqalignno',1546,'r","l","r"],[5/8,3],3,"D"],','leqalignno',1546,1551,'begin:"Begin",end:"End",tiny',':["HandleSize",','0],Tiny',1556,'1],scriptsize',1556,'2],small',1556,'3],normalsize',1556,'4],large',1556,'5],Large',1556,'6],LARGE',1556,'7],huge',1556,'8],Huge',1556,'9],dots',1306,'ldots"],','newcommand',1181,1578,'"],def',1181,1578,'"],color',1181,'HTML"],href',1181,'HTML"],"class":["Extension","HTML"],style',1181,'HTML"],cssId:["Ex'],
  ['tension','","HTML"],','unicode:["','Extension',1,'require:"','Require','","char":"Char"},','environments',':{array:"Array",','matrix',':["Array",null,null,"','c"],pmatrix',':["Array','","(",")","c"],bmatrix',13,'","[","]","c"],Bmatrix',13,'","\\\\{","\\\\}","c"],vmatrix',13,'","\\\\vert","\\\\vert","c"],Vmatrix',13,'","\\\\Vert","\\\\Vert","c"],cases',13,'","\\\\{",".","ll",null,2],eqnarray',11,'rcl",[5/18,5/18],3,"D"]},AddSpecial',':function','(obj){','for(var id in obj){','jsMath.Parser.prototype','.special[',30,'[id]]=obj[id];}},Error',27,'(s){','this.i','=this.','string','.length;','if(s','.error){','this.error','=s.error;}else{if(!this',41,42,'=s;}}},nextIsSpace',27,'(){','return ','this.string.charAt(this.i',')==" ";},trimSpaces',27,'(text){','if(typeof (','text)!="string"){',49,'text;}',49,'text','.replace(/^\\s+|\\s','+/g,"");},','Process',27,'(arg','){var ','data=','this.mlist.','data;','arg=','jsMath.','Parse(arg,','data.font',',','data.size',',data.style',');if(arg',41,'this.Error(','arg);','return null',';}if(arg.mlist.Length()==','0){',80,81,'1',65,'atom=','arg.mlist.','Last();if','(atom','.atom&&','atom.type=="ord"&&atom.nuc&&!atom.sub&&!atom.sup&&(','atom.nuc.type=="','text"||',93,'TeX")){',49,'atom.nuc;}}return {type:"mlist",mlist:arg.mlist};},','GetCommand',27,'(){var ','_29e=/^([a-z]+|.) ?/i;var cmd=_29e.exec(','this.string.slice(','this.i));','if(cmd){',36,'+=cmd[1].length;',49,'cmd[1];}','this.i++;','return " ";},','GetArgument',':function(name',',','_2a1){','while','(this.nextIsSpace()){this.i','++;}','if(this.','i>=','this.string','.length){','if(!',115,'this.Error("','Missing',' argument for "+name);}',80,';}if(',50,')==','this.close){if','(!',115,125,'Extra close brace','");}',80,129,50,')==this.cmd){',110,49,'this.cmd+','this.',99,'();}if(',50,')!=this.open','){return ',50,'++);}var j','=++this.i;var ','_2a3=1;var c="";',116,'(this.i<this.string.length){','c=',50,'++);','if(c==this.cmd){',36,'++;}else{if(c','==this.open){_2a3',162,'==',132,'(_2a3==0){',125,136,'");',80,';}if(--_2a3==0',150,103,'j,',36,'-1);}}}}}',125,'Missing close brace','");',80,';},ProcessArg',113,'){var arg=this.',112,'(','name);','if(this.error){return',' null;}','return this.Process(arg);},','ProcessScriptArg',113,184,112,'(',187,188,189,'if(arg.charAt(0',141,'csname=arg.substr(1);if','(csname','=="frac"){arg+="{"+this.',112,202,')+"}";',188,189,'arg+="{"+this.',112,202,')+"}";',188,' null;}}else{if(csname','=="sqrt"){arg+="["+this.','GetBrackets',202,')+"]";',188,189,'arg+="{"+this.',112,202,')+"}";',188,214,'.match(this.scriptargs)){arg+="{"+this.',112,202,')+"}";',188,' null;}}}}}',190,'GetDelimiter',113,'){',116,117,'++;}var ','c=',50,');if',156,110,160,'c="\\\\"+this.',99,'(',187,188,' null;}}','if(','this.delimiter[','c]!=null',150,253,'c];}}',125,126,' or unrecognized delimiter for "+',187,80,';},','GetDimen',113,',nomu',65,'rest;var _2ae=0;if',117,'++;}if(',50,')=="{"){rest',37,112,'(name);}else{rest=',103,36,');_2ae=1;}',49,'this.','ParseDimen','(rest,',144,'name,_2ae,nomu);},',281,27,'(_2af,name,_2b1,nomu',65,'_2b3=_2af.match(/^\\s*([-+]?(\\.\\d+|\\d+(\\.\\d*)?))(pt|em|ex|mu|px)/);if(!_2b3){',125,126,' dimension or its units for "+',187,80,129,'_2b1){',36,'+=_2b3[0].length;if',117,'++;}}var d=_2b3[1]-0;if(_2b3[4]=="px"){d/=',70,'em',';}else{if(_2b3[4]=="','pt"){d/=10',303,'ex"){d*=','jsMath.TeX.','x_height',303,'mu"){if(nomu){d=d/18;}else{d=[d,"mu"];}}}}}',49,'d;},GetNext',27,'(){',116,117,'++;}',49,50,');},',216,113,65,'c',37,'GetNext();if(c','!="["){return "";}var _2b7',153,'_2b8=0;',116,156,'var c=',50,'++);if(c=="{"){','_2b8',162,'=="}"){if(','_2b8==0){',125,136,' while looking for',' \']\'");',80,';}_2b8--;}else{',160,36,162,'=="]"){if(_2b8==0',150,103,'_2b7,',36,'-1);}}}}}}',125,'Couldn\'t find',' closing \']\' for argument to "+',144,187,80,';},GetUpto',113,',_2bb){',116,117,239,'_2bc',37,'i;var _2bd=0;',116,156,'var c=',50,334,'_2bd',162,337,'_2bd==0){',125,136,341,' "+',144,'_2bb);',80,';}_2bd--;}else{',160,'if(',103,'this.i,this.i+','5)=="begin"){_2bd++;',36,'+=4;}else{if(',103,389,'3)=="end"){if(_2bd>0){_2bd--;',36,'+=2;}}}if(',377,'if(',103,389,'_2bb.length)==_2bb){c=',50,'+_2bb.length);if(c.match(/[^a-z]/i)||!_2bb.match(/[a-z]/i)){var arg=',103,'_2bc,',36,'-1);',36,'+=_2bb',39,49,'arg;}}}',36,'++;}}}}',125,355,' "+',144,'_2bb+" for "+',187,80,';},','ProcessUpto',113,',_2c1',184,'GetUpto(name,_2c1);',188,189,190,'GetEnd',27,'(env',65,'body="";var name="";',116,'(name!=env){body+=this.GetUpto("begin{"+env+"}","end");',188,189,'name',37,112,'(this.cmd','+"end");',188,251,49,'body;},Space',27,'(){},','Prime',27,'(c',65,'base=',67,89,'(base==null||(!base',91,'base.type!="','box"&&',461,'frac")){',456,'this.mlist.Add(jsMath.mItem.','Atom("ord",{type:null}));}','if(base.sup){',125,'Prime causes double exponent',': use braces to clarify");return',';}var ','sup="";',116,'(c=="\'"){sup+=this.cmd+"prime";c',37,326,'=="\'"){',36,'++;}}base.sup',37,62,'(sup);','base.sup.isPrime','=1;},RaiseLower',113,65,'h','=this.GetDimen(this.cmd+name',',1);',188,472,'box',37,191,'(this.cmd+name);if(this.error){return',129,'name=="lower"){h=-h;}',67,'Add(new jsMath.mItem("','raise",{nuc:box,raise:h}));},MoveLeftRight',113,65,'x',489,490,188,472,'box','=this.ProcessArg',496,129,'name=="moveleft"){x=-x;}',466,'Space(x));',466,'Atom("ord",box));',466,'Space(-x));},',6,113,65,'file',37,112,496,';}file=',70,3,'.URL(file);if(','jsMath.Setup.','loaded[file',']){','return;}','this.',3,'(null,[','file]);},',3,113,',data){','jsMath.Translate','.restart=1;if(name','!=null){','delete ',30,'[data[1]||"macros"][name];}','jsMath.Script.','Start();',70,3,'.',6,'(data[0],',542,'.asynchronous',');throw "restart";},Frac',113,65,'num',510,496,472,'den',510,496,';}',466,'Fraction("over",num,den));},Sqrt',113,65,'n',37,216,496,472,'arg',510,496,';}box=jsMath.mItem.Atom("radical",arg);',119,'n!=""){box.root',37,62,'(n);',188,';}}',67,'Add(box);},','Root',113,65,'n',37,424,'(',144,'name,"of");',188,472,'arg',510,496,580,'box.root=n;',67,589,'BuildRel',113,65,'top',37,424,'(',144,'name,"over");',188,472,'bot',510,496,472,'op','=jsMath.mItem.','Atom("op",bot);op.limits=1;op.sup=top;',67,'Add(op);},MakeBig',113,',data){var ','type=data[0];var h=data[1]*',70,'p_height;var _2e4',37,234,496,';}',466,'Atom(type,',70,'Box.Delimiter(h,_2e4,"T")));},Char',113,65,'font',37,112,496,472,'n',37,112,496,';}if(!','jsMath.TeX[font',']){',653,']=[];this.',3,537,'jsMath.Font.URL(font',')]);}else{',466,'Typeset(',70,'Box.TeX(n-0,font,"T",',67,74,')));}},Matrix',113,',_2e9',65,'data=',67,68,'var arg',37,112,496,472,'_2ec','=new jsMath.Parser(arg+this.cmd+"\\\\",null,data.size,','_2e9[5]||"T");_2ec.',10,'=name;_2ec.row=[];_2ec.table=[];_2ec.rspacing=[];_2ec.Parse();if(_2ec',41,78,'_2ec);',534,'_2ec','.HandleRow(name,1);var box=jsMath.Box.Layout(data.size,','_2ec.table,_2e9[2],_2e9[3],_2ec.rspacing,_2e9[4]);if(_2e9[0]&&_2e9[1]){var left','=jsMath.Box.Delimiter(box.h+box.d-jsMath.hd/4,this.delimiter[','_2e9[0]],"T");var _2ef',691,'_2e9','[1]],"T");box=jsMath.Box.SetList([left,box,','_2ef],','data.style,data.size',');}',466,'Atom((_2e9','[0]?"inner":"ord"),box));},','HandleEntry',113,'){','if(!this.',10,'){',78,'name+" can only appear in a matrix or array");return;}if(',67,'data.openI',544,'var open=',67,'Get(',67,711,');if(open','.left){',125,126,' "+this.cmd+"right','");}else{',125,179,'");}}if(',67,'data.overI',544,67,'Over();}var data=',67,68,67,'Atomize(',697,');var box=',67,662,697,');this.row[','this.row.length',']=box;this.mlist=new ',70,'mList(null,null,',74,75,');},HandleRow',113,',last',65,'_2f6;',705,10,'){',78,144,709,'name=="\\\\"){_2f6',37,216,496,129,'_2f6){','_2f6',37,281,'(_2f6,',144,'name,0,1);}}this.',702,'(',187,'if(!last||',742,'>1||this.row[0].format!="null"){this.table[this.table','.length]=this.','row',129,764,'this.rspacing[this.table.length',']=_2f6;}this.row=[];},HandleNoAlign',113,184,112,496,472,'skip=arg.replace(/^.*(vskip|vspace)([^a-z])/i,"$2");if(skip.length==arg',122,534,'var d',37,281,'(skip,',144,'RegExp.$1,0',490,188,';}',781,']=(',781,']||0)+d;},Array',113,',_2fc',65,'_2fd=_2fc[2];var _2fe=_2fc[3];if(!_2fd){_2fd',37,112,444,'+"begin{"+name+"}");',188,';}}_2fd=_2fd.replace(/[^clr]/g,"");_2fd=_2fd.split("");var data=',67,68,'var _300=_2fc[5]||"T";var arg',37,432,'(',187,188,472,'_302',680,'_300);_302.',10,'=name;_302.row=[];_302.table=[];_302.rspacing=[];_302.Parse();if(_302',41,78,'_302);',534,'_302',689,'_302.table,_2fd,_2fe,_302.rspacing,_2fc[4]);if(_2fc[0]&&_2fc[1]){var left',691,'_2fc[0]],"T");var _305',691,'_2fc',695,'_305],',697,');}',466,'Atom((_2fc',701,'Begin',113,65,'env',37,112,496,129,'env.match(/[^a-z*]/i)){',125,'Invalid',' environment',' name',' \\""+env+"\\"");return;}',705,8,'[env]){',125,'Unknown',857,859,'var cmd',37,8,'[env];',54,'cmd',')=="string"){','cmd=[cmd];}this[cmd[0]](env,cmd.slice(1));},End',113,65,'env',37,112,496,';}',78,144,'name+"{"+env+"} without matching "+this.cmd+"begin");},Spacer',113,',w){',466,'Space(w-0));},Hskip',113,65,'w',37,264,496,';}',466,'Space(w));},HBox',113,'){var text=this.',112,496,472,'box=',70,'Box.InternalMath(text,',67,74,');',466,662,'box));},Rule',113,',_313',65,'w',489,490,188,472,'h',489,490,188,472,'d',489,490,188,';}h+=d;var html;if(h!=0){h=Math.max(1.05/',70,'em,h);}if(h==0||w==0||_313=="blank"){html=','jsMath.HTML.','Blank(w,h);}else{html=',932,'Rule(w,h);}if(d){html','="<span style=\\"','vertical-align:"+',932,'Em(-d)+"\\">"+','html+"</span','>";}',466,662,'new ',70,'Box("html",html,w,h-d,d)));},Strut',27,101,'size=',67,74,';var box=',70,'Box.Text("","normal","T",size).Styled();box.bh=box.bd=0;box.h=0.8;box.d=0.3;box.w=0;',466,662,'box));},Phantom',113,629,'arg',510,496,';}',67,500,'phantom",{phantom:arg,v:data[0],h:data[1]}));},Smash',113,629,'arg',510,496,';}',67,500,'smash",{smash:arg}));},MathAccent',113,',_321',65,'c',510,496,472,'atom',624,'Atom("accent",c);atom.accent=_321[0];',67,'Add(atom);},NamedOp',113,629,'a=(name.match(/[^acegm-su-z]/))?1:0;var d=(name.match(/[gjpqy]/))?0.2:0;if(data[1]){name=data[1];}var box',624,'TextAtom("','op",name,"cmr10",a,d);if(data[0]!=null){box.limits=data[0];}',67,589,'Limits',113,629,87,67,89,'(!atom||atom.type!="op"){',78,144,'name+" is allowed only on operators");',534,'atom.limits=data[0];},Macro',113,629,'text=data[0];if(data[1]){var args=[];','for(var i=0;i<','data[1];i++){args[args',777,112,496,';}}text',37,'SubstituteArgs','(args,text);}',121,37,'AddArgs(','text,',103,104,36,'=0;},',1018,27,'(args,_332',65,'text="";var _334="";var c;var i','=0;while(i<','_332',122,'c=','_332.charAt(i','++);',160,'text+=c+',1037,'++);}else{if(c=="#"){c=',1037,'++);if(c=="#"){text+=c;}else{if(!c.match(/[1-9]/)||c>args',122,125,'Illegal macro parameter reference");',534,'_334',37,1022,'this.AddArgs(_334,text','),args[c-1]);text="";}}else{text+=c;}}}',49,1052,');},AddArgs',27,'(s1,s2){if(s2.match(/^[a-z]/i)&&s1.match(/(^|[^\\\\])(\\\\\\\\)*\\\\[a-z]+$/i)){s1+=" ";}',49,'s1+s2;},Replace',113,541,466,'TextAtom',554,'data[1],data[2],data[3]));},Tilde',113,'){',466,992,'ord","&nbsp;","normal"));},HandleLap',113,65,'box',510,'();',188,';}box=',67,500,'lap",{nuc:box,lap:name}));},HandleAtom',113,629,'arg',510,496,';}',466,'Atom(data,arg));},HandleMathCode',113,',code','){this.HandleTeXchar(','code[0],code[1],code[2]);},HandleTeXchar',27,'(type,font,code){if(type==7&&',67,72,544,'font=',67,72,';}font=',307,'fam[font];if(!',653,']){',653,']=[];this.',3,537,659,')]);}else{',466,'TeXAtom(',307,'atom[type],code,font));}},','HandleVariable',27,'(c',1092,'7,1',',c.charCodeAt(0));},','HandleNumber',27,'(c',1092,'7,0',1122,'HandleOther',27,'(c){',466,992,'ord",c,"normal"));},HandleComment',27,101,'c;',116,156,'c=',50,'++);if(c=="\\r"||c=="\\n"){return;}}},HandleStyle',113,',_34b){',67,'data.style=_34b[0];',67,500,'style",{style:_34b[0]}));},HandleSize',113,',size){',67,74,'=size[0];',67,500,'size",{size:size[0]}));},HandleFont',113,',font){',67,72,'=font[0];},HandleCS',27,101,'cmd',37,99,'();',188,';}',119,'macros[cmd',']){var _351',37,1172,'];',54,'_351',873,'_351=[_351];}this[_351[0]](cmd,_351.slice(1));',534,119,'mathchardef[cmd',']){this.HandleMathCode(','cmd,this.',1183,']);',534,'if(',253,144,'cmd',1184,'cmd,',253,144,'cmd].slice(0,3));',534,125,'Unknown control sequence \'"+',144,'cmd+"\'");},HandleOpen',27,'(){',67,'Open();},HandleClose',27,'(){if(',67,711,'==null){',125,136,'");',534,'var open=',67,'Get(',67,711,');if(!open||','open.left',1211,67,'Close();}else{',125,136,' or missing',722,'");return;}},HandleLeft',113,65,'left',37,234,496,';}',67,'Open(left);},HandleRight',113,65,'_356',37,234,496,472,'open=',67,'Get(',67,711,718,'&&',1222,544,67,'Close(_356);}else{',125,'Extra open brace or missing "+this.cmd+"left");}},HandleOver',113,541,'if(',67,728,544,125,'Ambiguous use of "+',144,187,534,67,728,'=',67,'Length();',67,'data.overF={name:name};if(data.length>0){',67,'data.overF.','left=',253,'data[0]];',67,1279,'right=',253,'data[1]];}else{if(name.match(/withdelims$/)){',67,1279,'left',37,234,496,';}',67,1279,'right',37,234,496,';}}else{',67,1279,'left=null;',67,1279,1285,'null;}}if(name.match(/^above/)){',67,1279,'thickness',37,264,444,'.name',490,188,1301,67,1279,'thickness=null;}},HandleSuperscript',27,101,456,67,89,'(base==null||(!base',91,461,'box"&&',461,'frac")){',456,466,467,468,'if(',484,'){',456,466,467,'else{',125,'Double exponent',471,';}}base.sup',37,191,'("superscript");',188,';}},HandleSubscript',27,101,456,67,89,'(base==null||(!base',91,461,'box"&&',461,'frac")){',456,466,467,'if(base.sub){',125,'Double subscripts',471,';}base.sub',37,191,'("subscript");',188,';}},Parse',27,101,'c;',116,156,'c=',50,'++);',119,'mathchar[c',1184,'c,this.',1386,']);}else{',119,'special[c]){this[this',31,'c]](c);}else{',119,'letter','.test(c)){this.',1117,'(c);}else{',119,'number',1397,1123,1399,'this.',1129,'(c);}}}}}if(',67,711,544,'var open=',67,'Get(',67,711,718,'.left){',125,126,722,723,125,179,'");}}if(',67,728,544,67,'Over();}},Atomize',27,101,'data=',67,'init;if(!this',41,67,735,697,');}},Typeset',27,101,'data=',67,'init;var box',37,'typeset=',67,662,697,');',188,' "<span class=\\"error\\">"+',42,'+"</span>";}if(box.format=="null"){return "";}box.Styled().Remeasured();var _361=0;var _362','=0;if(box.bh>','box.h&&box.bh>',70,'h','+0.001){_361=1;}if(box.','bd>box.d&&box.bd>',70,'d',1459,'h>',70,'h||box.d>',70,'d){_362=1',472,'html=box.html;if(_361){if(','jsMath.Browser.','allowAbsolute',65,'y',1455,70,'h+0.001){y=',70,'h-box.bh;}html=',932,'Absolute(html,box.w,',70,'h,0,y,',70,'h);}else{if(',1471,'valignBug){','html="<span style=\\"line-height:"+jsMath.HTML.Em(jsMath.d',')+";\\">"+',940,'>";}else{var dy=',932,'Em(Math.max(0,box.bd-',70,'hd)/3);',1488,')+";"+" position:relative; top:"+dy+"; ',937,'dy+"\\">"+',940,'>";}}_362=1',129,'_362){html+=',932,'Blank(0,box.h+0.05,box.d+0.05);}return "<nobr><span class=\\"scale\\">"+',940,'></nobr>";}});',30,'.AddSpecial({cmd:"HandleCS",open:"HandleOpen",close:"HandleClose"});','jsMath.Add(jsMath,{','Macro',113,65,'_367=',30,'.macros;','_367','[name]=["','Macro"];for(var i=1;i<arguments',39,'i++){_367[name][_367[name].length]=arguments[i];}}});',70,3,'={safeRequire:1,Macro',113,',file',65,'_36b=',30,1516,'if(file',1211,'file=name;}_36b',1518,3,'",file];},LaTeX',27,'(env,file',65,'_36e=',30,'.',8,';_36e[env]=["',3,'",file,"',8,'"];},Font',113,1159,'if(font',1211,'font=name+"10";}var _371=',30,1516,'_371',1518,3,'",',659,')];},MathChar',27,'(font,defs',65,'fam=',307,'famName[font','];if(fam',1211,1565,307,'fam',39,307,'fam[fam]=font;',307,1567,']=fam',472,'_375=',30,'.mathchardef;for(var c in defs){_375[c]=[defs[c][0],fam,defs[c][1]];}},',6,27,'(file,show){',119,'safeRequire&&(file.match(/\\.\\.\\/|[^-a-z0-9.\\/:_+=%~]/i)||(file.match(/:/)&&file.substr(0,',70,'root.length)!=',70,'root))){',531,532,']=1;',534,531,'Script(this.URL(file),show);},URL',27,'(file){file=file',60,'+$/g,"");if(!file.match(/^([a-z]+:|\\/|fonts|extensions\\/)/i)){file="extensions/"+file;}if(!file.match(/\\.js$/)){file+=".js";}',49,'file;}};',1510,62,27,28,531,'Body();',548,'Push(',542,',"','Asynchronous','",obj);},ProcessBeforeShowing',27,28,531,1609,'var _37c=(','jsMath.Controls.cookie.','asynch?"',1614,'":"','Synchronous','");',548,1611,542,',_37c,obj);}});',542,'={element:[],cancel:0,TextMode',27,'(s',65,'_37e','=jsMath.Parse(s,null,null,"','T");',1636,'.Atomize();var html=',1636,'.Typeset();return html;},','DisplayMode',27,'(s',65,'_381',1637,'D");',1647,1640,1647,1642,'GetElementText',27,'(_383',899,'recursiveElementText','(_383);_383.alt=text;if(text.search("&")>=0){','text=text.replace(/&','lt;/g,"<");',1660,'gt;/g,">");',1660,'quot;/g,"\\"");',1660,'amp;/g,"&");}',49,'text;},',1658,27,'(_385){if(','_385.nodeValue','!=null',150,1673,129,'_385.childNodes','.length==0){return " ";}var text="";',1011,1678,39,'i++){text+=this.',1658,'(',1678,'[i]);}',49,1669,'ResetHidden',27,'(_388){_388.innerHTML',936,'visibility: hidden; position:absolute; top:0px;left:0px;\\"></span>"+',1471,'operaHiddenFix;_388.className="";',70,'hidden=_388.firstChild;if(!',70,'BBoxFor("x").w){','jsMath.hidden=jsMath.hiddenTop',';}',70,'ReInit();},','ConvertText',27,'(_389',899,1654,1707,');this.ResetHidden(','_389);text',37,'TextMode(text);_389','.className="typeset";','_389','.innerHTML=text;},','ConvertDisplay',27,'(_38b',899,1654,1720,1711,'_38b);text',37,1643,'(text);_38b',1715,'_38b',1717,'ProcessElement',27,'(_38d){this.restart=0;try','{if(_38d.tagName.toLowerCase()=="','div"){this.',1718,'(_38d);_38d.onclick=jsMath.Click.CheckClick;_38d.ondblclick=jsMath.Click.CheckDblClick',';}else',1735,'span"){this.',1705,1738,';}}}catch(err){if(_38d.alt',65,'tex=_38d.alt;','tex=tex.replace','(/&/g,"&amp;");',1747,'(/</g,"&lt;");',1747,'(/>/g,"&gt;");_38d.innerHTML=tex;_38d.className="math";}',1701,';}},','ProcessElements',27,'(k){',548,'blocking=','1;if(k>=','this.element.length','||this.cancel){this.','ProcessComplete','();',119,'cancel){','jsMath.Message.','Set("',62,' Math: Canceled");',1767,'Clear();}',548,1759,'0;',548,62,'();}else{','this.ProcessElement(this.element[','k]);',119,'restart){',548,1611,'this,"',1755,'",k);',548,1759,'0;setTimeout("',548,62,'()",',1471,'delay);}else{k++;var p=Math.floor(100*k/',1761,');','jsMath.Message.Set("Processing Math',': "+p+"%");setTimeout("',542,'.',1755,'("+k+")",',1471,'delay);}}},',1614,27,'(obj','){if(!jsMath.initialized){jsMath.Init();}this.element=this.GetMathElements(obj);','this.cancel=0;this',556,'=1;',548,1759,'1;',1798,': 0%",1);setTimeout("',542,'.',1755,'(0)",',1471,'delay);},',1625,27,'(obj,i){if(i==null',1809,'i=0;}this',556,1033,1761,'){',1779,'i]);',119,'restart){',70,'Synchronize','("',542,'.',1625,'(null,"+i+")");',548,62,'();',534,'i++;}this.',1763,'(1);},GetMathElements',27,28,'var _395=[];if(!obj){obj=','jsMath.document',129,'typeof (obj',873,'obj=',1854,'.getElementById(obj);}if(!','obj.getElementsByTagName','){',80,472,'math=',1861,'("div','");for(var k=0;k<math.length;k++){if(math[k].className=="math"){if(jsMath.Browser.renameOK&&obj.getElementsByName){math[k].setAttribute("name","_jsMath_");}else{_395[_395.length]=math[k];}}}','math=',1861,'("span',1868,'if(',1471,'renameOK','&&obj','.getElementsByName','){_395=obj',1877,'("_jsMath_',723,'if(',70,'hidden','.sourceIndex','){_395.sort(function(a,b',150,'a',1885,'-b',1885,';});}}',49,'_395;},',1763,27,'(_39b){if(',1471,1875,65,'_39c=',1854,1877,1880,'");for(var i=_39c.length-1;i>=0;i--){_39c[i].removeAttribute("name");}}',1701,';this.element=[];if(!_39b){',1798,': Done");',1767,'Clear();}',1767,'UnBlank();if(',1471,'safariImgBug&&(',1621,'font=="symbol"||',1621,'font=="image")){',119,'timeout){clearTimeout(this.timeout);}this.timeout=setTimeout("','jsMath.window.resizeBy','(-1,0); "+"',1922,'(1,0); "+"',542,'.timeout = null",2000);}},Cancel',27,'(){',542,'.cancel=1;if(',548,'cancelTimer){',548,'cancelLoad();}}};',1510,'ConvertTeX',27,'(_39e){',548,'Push(jsMath.tex2math,"',1937,'",_39e);},','ConvertTeX2',27,'(_39f){',548,1941,1944,'",_39f);},','ConvertLaTeX',27,'(_3a0){',548,1941,1951,'",_3a0);},','ConvertCustom',27,'(_3a1){',548,1941,1958,'",_3a1);},','CustomSearch',27,'(om,cm,od,cd','){',548,1611,'null,function(){',70,'tex2math.',1965,1967,');});},tex2math:{',1937,27,451,1944,27,451,1951,27,451,1958,27,451,1965,27,'(){}}});',70,1838,'=',548,1838,';if(','window.parent','!=window&&window.jsMathAutoload){',1998,'.jsMath=jsMath;',1854,'=',1998,'.document;',70,'window=',1998,';}',70,'Loaded();',70,'Controls.GetCookie();',531,'Source();',548,'Init();',531,'Fonts();if(',1854,'.body){jsMath.Setup.Body();}}}']
]);
//end = new Date().getTime();
//alert(end-start);
